<?php $__env->startSection('title'); ?>
Dashboard
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/css/theme-sugar.css')); ?>" type="text/css">
<link rel="stylesheet" href="<?php echo e(asset('assets/css/element-ui/index.css')); ?>" type="text/css">

<style>
    .el-table__row {
        cursor: pointer;
    }
</style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('search-box'); ?>
<div class="navbar-search navbar-search-light form-inline mr-sm-3" id="navbar-search-main">
    <div class="form-group mb-0" :class="{'focused':table.filters[0].value||table.filters[0].focus}">
        <div class="input-group input-group-alternative input-group-merge">
            <div class="input-group-prepend">
                <span class="input-group-text"><i class="fas fa-search"></i></span>
            </div>
            <input @blur.self="table.filters[0].focus = false" @click="table.filters[0].focus=true"
                v-model.trim="table.filters[0].value" class="form-control" placeholder="Cari Data User" type="text">

            <div v-if="table.filters[0].value" class="input-group-append mr-2 d-none d-md-flex"
                @click="table.filters[0].value =  ''">
                <button class="input-group-text"><i class="fas fa-backspace"></i></button>
            </div>

            <div class="input-group-append d-md-none d-flex">
                <button v-if="table.filters[0].value" @click="table.filters[0].value =  ''"
                    class="input-group-text pr-0 pl-2"><i class="fas fa-backspace"></i></button>

                <button data-action="search-close" class="mr-2 input-group-text"><i class="fas fa-times"></i></button>
            </div>
        </div>
    </div>
    
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('mobile-search'); ?>
<?php echo $__env->make('dashboard.components.mobile-search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-title'); ?>
<h6 class="h2 text-white d-inline-block mb-0"><?php echo e(strtoupper(Request::segment(3))); ?></h6>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<li class="breadcrumb-item text-white">
    <i class="fas fa-users"></i>
</li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(1))); ?></li>
<li class="breadcrumb-item text-white">
    <a href="<?php echo e(url('/master/kelas')); ?>"><?php echo e(ucfirst(Request::segment(2))); ?>

    </a>
</li>
<li class="breadcrumb-item text-white"><?php echo e(strtoupper(Request::segment(3))); ?></li>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('action-bar'); ?>

<div class="mt-3 d-sm-none"></div>

<div v-if="isLoaded && !isFailed" class="d-flex justify-content-end">
    <download-excel :data="users" :name="'Data Anggota kelas'">
        <button class="m-1 btn btn-sm btn-neutral">Export Data</button>
    </download-excel>

</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="mb-4">
    <div class="d-flex justify-content-center" v-if="!isLoaded && !isFailed"
        :class="{'d-none' : isLoaded && !isFailed}">
        <div class="col-12 card">
            <div class="card-body text-center">
                <div class="spinner">
                    <div class="rect1 bg-primary"></div>
                    <div class="rect2 bg-primary"></div>
                    <div class="rect3 bg-primary"></div>
                    <div class="rect4 bg-primary"></div>
                    <div class="rect5 bg-primary"></div>
                </div>
                <h4 class="mt-4 text-primary">
                    Sedang memuat data..
                </h4>
            </div>
        </div>
    </div>

    <div class="d-flex justify-content-center d-none" :class="{'d-block':isFailed}" v-if="isFailed">
        <div class="col-12 card">
            <div class="card-body text-center text-warning">
                <i class="mt-4 fas fa-exclamation-triangle fa-5x"></i>
                <h4 class="mt-4 text-warning">
                    Gagal memuat data. Silahkan refresh halaman.
                </h4>
            </div>
        </div>
    </div>

    <div v-if="isLoaded" class="d-none" :class="{'d-block':isLoaded}">
        <div class="row">
            <div class="col-md-8 col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="text-primary">List Anggota Kelas ({{ users . length }} anggota)</h3>
                    </div>

                    <div class="card-body">
                        <data-tables @row-click="showProfile" ref="dt" style="width: 100%" :page-size.sync="table.pagination.perPage"
                            :current-page.sync="table.pagination.current"
                            @current-page-change="handleCurrentPageChange" :filters="table.filters"
                            :table-props="table.props" :data="users" :pagination-props="table.pagination">

                            <el-table-column label="User" min-width="200%" prop="nama" sortable="true">
                                <template slot-scope="scope">
                                    <div class="table-user d-flex justify-content-start align-items-center">
                                        <div>
                                            <img v-if="scope . row . avatar" :src="scope . row . avatar"
                                                class="avatar avatar-sm rounded-circle mr-2">

                                            <div v-else
                                                class="align-middle mr-2 avatar avatar-sm bg-primary rounded-circle">
                                                {{ getInitialName(scope . row . nama) }}
                                            </div>
                                        </div>

                                        <div class="text-primary"
                                            style="font-size: 0.75rem !important; font-weight: 600 ">
                                            {{ scope . row . nama . toUpperCase() }}</div>
                                    </div>
                                </template>
                            </el-table-column>

                            <el-table-column label="Email" min-width="200%" prop="email" sortable="true">
                                <template slot-scope="scope">
                                    <span>{{ scope . row . email }}</span>
                                </template>
                            </el-table-column>

                            <el-table-column label="Gender" min-width="100%" prop="nama" sortable="gender">
                                <template slot-scope="scope">
                                    <span class="h3">
                                        <span v-if="scope.row.gender" class="badge badge-pill"
                                            :class="(scope . row . gender == 'laki-laki')?'badge-primary':(scope . row . gender == 'perempuan')?'badge-danger':''">
                                            <i class="fas"
                                                :class="(scope . row . gender == 'laki-laki')?'fa-mars':(scope . row . gender == 'perempuan')?'fa-venus':''"></i>
                                            <span>{{ scope . row . gender . toUpperCase() }}</span>

                                        </span>
                                        <span v-else class="badge badge-pill badge-secondary">
                                            <i class="fas fa-genderless"></i>
                                            <span>Not Set</span>
                                        </span>
                                    </span>
                                </template>
                            </el-table-column>

                            <!-- <el-table-column label="Akses" min-width="100%" prop="nama" sortable="akses">
                                <template slot-scope="scope">
                                    <span class="h3">
                                        <span class="badge badge-pill" :class="(scope . row . role == 'admin')?'badge-primary':(scope . row . role == 'user')?'badge-warning':''">
                                            {{ scope . row . role . toUpperCase() }}
                                        </span>
                                    </span>
                                </template>
                            </el-table-column> -->

                            <!-- <el-table-column label="Active" min-width="80%" prop="active" sortable="true">
                                <template slot-scope="scope">
                                    <label class="custom-toggle d-flex align-item-center">
                                        <input type="checkbox" @change="toggleActive(scope.row)" v-model="scope . row . active">
                                        <span class="custom-toggle-slider rounded-circle" data-label-off="No" data-label-on="Yes"></span>
                                    </label>
                                </template>
                            </el-table-column> -->

                            <el-table-column label="Actions" min-width="100%">
                                <template slot-scope="scope">
                                    <el-tooltip class="item" effect="dark" content="Keluarkan user dari kelas ini"
                                        placement="top">
                                        <button @click="confirmRemove(scope.row)" type="button"
                                            class="mr-0 btn btn-outline-danger btn-sm btn-icon-only">
                                            <span class="btn-inner--icon"><i class="fas fa-user-times"></i></span>
                                        </button>
                                    </el-tooltip>

                                    <!-- <el-tooltip class="item" effect="dark" content="Edit Akun" placement="top">
                                        <button @click="editUser(scope.row)" type="button" class="btn btn-outline-primary btn-sm btn-icon-only">
                                            <span class="btn-inner--icon"><i class="fas fa-pencil-alt"></i></span>
                                        </button>
                                    </el-tooltip> -->
                                </template>
                            </el-table-column>

                        </data-tables>
                    </div>

                    <div class="card-footer d-flex  justify-content-around align-items-end pt-2">

                        <div class="col-md-2 col-sm-6 px-2 d-flex flex-column">
                            <label class="h5" for="perpage">Item/Halaman</label>

                            <select id="perpage" v-model="table.pagination.perPage" class="form-control form-control-sm"
                                id="inlineFormCustomSelect">
                                <option v-for="item in pageSizes.length" :key="item" :value="pageSizes[item-1]">
                                    {{ pageSizes[item - 1] + '/page' }}</option>
                            </select>
                        </div>

                        <div class="col-md-8 col-sm-12 d-flex flex-column justify-content-center text-center">
                            <h5>Jumlah data: {{ table.itemSize }}</h5>
                            <paginate :value="table.pagination.current" :page-count="numberPages" :page-range="3"
                                :click-handler="clickCallback" :prev-text="''" :next-text="''"
                                :container-class="'pagination justify-content-center mb-0'" :page-class="'page-item'"
                                :page-link-class="'page-link btn-sm'" :prev-class="'page-item'"
                                :prev-link-class="'fas fa-angle-left page-link'" :next-class="'page-item'"
                                :next-link-class="'fas fa-angle-right page-link'" :hide-prev-next="false"
                                :break-view-text="''" :break-view-link-class="'fas fa-ellipsis-h'">
                            </paginate>
                        </div>

                        <div class="col-md-2 col-sm-6 px-2 d-flex flex-column">
                            <label class="h5" for="to-page">Ke Halaman</label>
                            <input type="number" min="1" max="numberPage" v-model.number="table.pagination.current"
                                id="to-page" class="form-control form-control-sm">
                        </div>

                    </div>

                </div>
            </div>

            <div class="col-md-4 col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="text-primary">Tambah Anggota</h3>
                    </div>
                    <div class="card-header py-0">
                        <form @submit.prevent="searchNewMember">
                            <div class="form-group mb-0">
                                <div class="input-group input-group-lg input-group-flush">
                                    <div class="input-group-prepend">
                                        <div class="input-group-text">
                                            <span class="fas fa-search"></span>
                                        </div>
                                    </div>
                                    <input type="search" class="form-control" placeholder="Cari anggota baru"
                                        v-model="search.newMember.value">
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="card-body">
                        <ul class="list-group list-group-flush list my--3">
                            <div class="list-group-item p-2">
                                <li class="row align-items-center" v-if="search.newMember.result.nama">
                                    <div class="col-auto">
                                        <img v-if="search.newMember.result.avatar" :src="search.newMember.result.avatar"
                                            class="avatar rounded-circle mr-2">

                                        <div v-else class="align-middle mr-2 avatar bg-primary rounded-circle">
                                            {{ getInitialName(search . newMember . result . nama) }}
                                        </div>


                                    </div>
                                    <div class="col ml--2 text-truncate">
                                        <h4 class="mb-0">
                                            <a href="#!"
                                                class="text-uppercase">{{ search . newMember . result . nama }}</a>
                                        </h4>
                                        <small>
                                            {{ search . newMember . result . email }}
                                        </small>
                                    </div>
                                    <div class="col-auto">
                                        <button type="button" class="btn btn-sm btn-primary"
                                            @click="addMember(search . newMember . result)">
                                            <i class="fas fa-user-plus"></i>
                                        </button>
                                    </div>
                                </li>

                                <li class="row align-items-center" v-else>
                                    <div class="col-12" v-if="search.newMember.isSearching">
                                        <div class="text-center">
                                            <div class="spinner m-auto">
                                                <div class="rect1 bg-primary"></div>
                                                <div class="rect2 bg-primary"></div>
                                                <div class="rect3 bg-primary"></div>
                                                <div class="rect4 bg-primary"></div>
                                                <div class="rect5 bg-primary"></div>
                                            </div>
                                            <h4 class="mt-4 text-primary">
                                                Sedang mencari user..
                                            </h4>

                                        </div>

                                    </div>
                                </li>
                            </div>

                        </ul>
                    </div>
                </div>

            </div>

        </div>

        <confirm-delete v-if="form.remove.confirm" :show-modal="form.remove.confirm"
            :is-deleting="form.remove.isDeleting" @onclose="closeConfirmRemove" @onconfirm="removeMember">
        </confirm-delete>

        <div v-if="modal.show" class="d-none" :class="{'d-block':modal.show}">
            <div class="modal fade show modal-active" tabindex="-1" role="dialog">
                <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <div class="modal-header py-2 px-4 align-items-center">
                            <h5 class="modal-title">
                                <span class="text-primary align-middle"> Profile User </span>
                            </h5>
                            <button type="button" class="close" @click="closeProfile">
                                <i class="fas fa-times-circle text-primary"></i>
                            </button>
                        </div>
                        <div class="modal-body py-3">
                            <div class="d-flex align-items-center">


                                <div class="image">

                                    <div v-if="!modal.user.avatar" class="d-flex justify-content-center align-content-center flex-wrap bg-primary rounded" style="height: 155px; width: 155px;" width="155">
                                        <span class="text-white display-1">
                                            {{ getInitialName(modal.user.nama) }}
                                        </span>
                                    </div>


                                    <img v-else :src="modal.user.avatar" class="rounded" width="155">
                                </div>

                                <div class="ml-3 w-100" style="max-width: 30rem;">
                                    <p class=" mb-0 mt-0">
                                        <span class="h3 mb-0 mt-0 text-primary">
                                            {{modal.user.nama}}
                                        </span>
                                        <small class="text-muted">
                                            ({{modal.user.role}})
                                        </small>
                                    </p>
                                    <h5 class="mb-0 mt-0"> {{modal.user.email}}</h5>
                                    <h5 class="mb-0 mt-0"> {{(modal.user.no_wa)?'+62'+modal.user.no_wa:'-'}}</h5>
                                    <h5 class="mb-0 mt-0"> {{(modal.user.tgl_lahir)?getTanggalLahir(modal.user.tgl_lahir):'-'}} / {{(modal.user.usia)?modal.user.usia:'-'}} tahun</h5>
                                    <h5 class="mb-0 mt-0 text-capitalize"> {{(modal.user.gender)?modal.user.gender:'-'}}</h5>

                                    <div class="mt-2 ">
                                        <div class="d-none d-md-block">
                                            <div class=" d-flex flex-row align-items-center">
                                                <a :href="('mailto:'+modal.user.email)" role="button" class="btn btn-youtube btn-icon">
                                                    <span class="btn-inner--icon"><i class="fas fa-envelope"></i></span>
                                                    <span class="btn-inner--text">Email</span>
                                                </a>

                                                <a class="ml-3 btn btn-slack btn-icon" :class="{'disabled':!modal.user.no_wa}" role="button" :href="(modal.user.no_wa)?'https://wa.me/+62'+modal.user.no_wa:''" target="_blank">
                                                    <span class="btn-inner--icon"><i class="fab fa-whatsapp"></i></span>
                                                    <span class="btn-inner--text">WhatsApp</span>
                                                </a>
                                            </div>
                                        </div>

                                        <div class="d-md-none">
                                            <div class="d-flex flex-row align-items-center">
                                                <a :href="('mailto:'+modal.user.email)" type="button" class="btn btn-youtube btn-icon-only">
                                                    <span class="btn-inner--icon"><i class="fas fa-envelope"></i></span>
                                                </a>

                                                <a :class="{'disabled':!modal.user.no_wa}" :href="(modal.user.no_wa)?'https://wa.me/+62'+modal.user.no_wa:''" target="_blank" type="button" class="ml-3 btn btn-slack btn-icon-only">
                                                    <span class="btn-inner--icon"><i class="fab fa-whatsapp"></i></span>
                                                </a>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <div class="mt-2">
                                <div>
                                    <span class="h5 mb-0">Alamat:</span>
                                    <p class="h5 text-muted mb-0">
                                        {{(modal.user.alamat)?modal.user.alamat:'-'}}
                                    </p>
                                </div>
                                <div class="row my-2">
                                    <div class="col-md-6">
                                        <div class="h5 mb-0">Kota:</div>
                                        <p class="h5 text-muted mb-0">
                                            {{(modal.user.kota)?modal.user.kota.name:'-'}}
                                        </p>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="h5 mb-0">Provinsi:</div>
                                        <p class="h5 text-muted mb-0">
                                            {{(modal.user.provinsi)?modal.user.provinsi.name:'-'}}
                                        </p>
                                    </div>
                                </div>

                                <div class="w-100" style="max-width: 30rem;">
                                    <div class="h5 mb-0">Kelas:</div>
                                    <div class="h2 mb-0 mt-2 d-flex flex-wrap">
                                        <a v-for="(item, i) in modal.user.kelas" :key="i" :href="'<?php echo e(url('/master/kelas')); ?>/'+item.kode" class="mr-1 mb-1 badge badge-pill badge-primary">{{item.nama}}</a>

                                    </div>
                                </div>

                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/js/element-ui/index.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/element-ui/locales/en.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/element-ui/data-tables.js')); ?>"></script>

<script src="<?php echo e(asset('assets/js/vue-json-excel.umd.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/vue-paginate.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/vue-toast-notification.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/vue/confirm-delete.js')); ?>"></script>

<script>
    let base_url = "<?php echo e(url('/')); ?>/api/kelas_user/kelas/<?php echo e(Request::segment(3)); ?>"

    ELEMENT.locale(ELEMENT.lang.en)
    Vue.use(DataTables.DataTables)
    Vue.use(VueToast);
    Vue.component('paginate', VuejsPaginate)
    Vue.component('download-excel', JsonExcel)


    var app = new Vue({
        el: '#panel',
        data: {
            modal: {
                show: false,
                user: null
            },
            users: [],
            search: {
                value: '',
                focus: '',
                newMember: {
                    value: '',
                    isSearching: false,
                    result: {}
                }
            },
            table: {
                itemSize:0,
                header: [],
                props: {

                },
                filters: [{
                    prop: ['nama', 'email', 'gender', 'role', 'active'],
                    value: '',
                    focus: false
                }],
                pagination: {
                    pageSizes: [10, 30, 50],
                    current: 1,
                    perPage: 10
                }
            },
            pagination: {
                current: 1,
                perPage: 8,
                numPages: 0
            },
            tablea: {
                pagination: {
                    pageSizes: [10, 30, 50],
                    current: 1,
                    perPage: 10
                }
            },
            form: {
                remove: {
                    confirm: false,
                    isDeleting: false,
                    data: {}
                },
                isSumitting: false
            },
            isFailed: false,
            isLoaded: false,
        },
        methods: {
            getTanggalLahir(datetime) {
                const date = new Date(Date.parse(datetime.replace(/[-]/g, '/')));
                var month = new Array(12);
                month[0] = "Januari";
                month[1] = "Februari";
                month[2] = "Maret";
                month[3] = "April";
                month[4] = "Mei";
                month[5] = "Juni";
                month[6] = "Juli";
                month[7] = "Agustus";
                month[8] = "September";
                month[9] = "Oktober";
                month[10] = "November";
                month[11] = "Desember";

                return `${date.getDate()} ${month[date.getMonth()]} ${date.getFullYear()}`

            },
            closeProfile() {
                Vue.set(this.modal, 'show', false)
                Vue.set(this.modal, 'user', null)
            },

            showProfile(row, column, event) {
                Vue.set(this.modal, 'show', true)
                Vue.set(this.modal, 'user', row)
            },
            getInitialName(fullName) {
                let name = fullName.split(' ')
                if (name.length > 1) {
                    return `${name[0].charAt(0).toUpperCase()}${name[1].charAt(0).toUpperCase()}`
                } else {
                    return `${name[0].charAt(0).toUpperCase()}${name[0].charAt(1).toUpperCase()}`
                }
            },
            clickCallback(page) {
                this.table.pagination.current = page
            },
            handleCurrentPageChange(page) {
                this.table.pagination.current = page
            },
            showToast(msg, type) {
                Vue.$toast.open({
                    message: msg,
                    type: type,
                    // all of other options may go here
                });
            },
            async addMember(user) {
                this.form.is_submitting = true

                await axios
                    .post(
                        "<?php echo e(url('/')); ?>/api/kelas_user/kelas/tambah/<?php echo e(Request::segment(3)); ?>", {
                            id: user.id
                        })
                    .then((response) => {
                        this.users.push(response.data.data)

                        this.search.newMember.value = ''

                        this.showToast(
                            `Berhasil menambah anggota users.<br>Nama: ${response.data.data.nama}`,
                            'info'
                        )

                    }, (error) => {
                        this.showToast('Gagal menambah anggota user', 'error')
                    })

            },
            async searchNewMember() {

                if (this.search.newMember.value) {
                    this.search.newMember.isSearching = true
                    this.search.newMember.result = {}

                    await axios
                        .get(
                            "<?php echo e(url('/')); ?>/api/kelas_user/kelas/cari/<?php echo e(Request::segment(3)); ?>", {
                                params: {
                                    email: this.search.newMember.value
                                }
                            })
                        .then((response) => {

                            this.search.newMember.result = Object.assign({}, this.search.newMember
                                .result,
                                response.data.data)
                            this.search.newMember.isSearching = false

                        }, (error) => {
                            this.search.newMember.isSearching = false
                        })
                }

            },
            confirmRemove(user) {
                this.form.remove.data = user
                this.form.remove.confirm = true
            },
            closeConfirmRemove() {
                this.form.remove.data = {}
                this.form.remove.confirm = false
                this.form.remove.isDeleting = false
            },
            async removeMember() {
                this.form.remove.isDeleting = true

                let item = this.form.remove.data
                let id = this.users.indexOf(item)

                await axios
                    .delete(base_url, {
                        data: {
                            id: item.id
                        }
                    })
                    .then((response) => {
                        this.users.splice(id, 1)

                        this.showToast(
                            `Berhasil menghapus anggota.`,
                            'info'
                        )

                        this.closeConfirmRemove()

                    }, (error) => {
                        this.showToast('Gagal menghapus anggota', 'error')

                        this.closeConfirmRemove()
                    })
            },
            sortAnggota(data, properti, order) {
                if (order == 'asc' || order == '') {
                    return data.sort((a, b) => (a[properti] > b[properti]) ? 1 : -1)
                }
                if (order == 'desc') {
                    return data.sort((a, b) => (a[properti] > b[properti]) ? -1 : 1)
                }
            },
            getInitialName(fullName) {
                let name = fullName.split(' ')
                if (name.length > 1) {
                    return `${name[0].charAt(0).toUpperCase()}${name[1].charAt(0).toUpperCase()}`
                } else {
                    return `${name[0].charAt(0).toUpperCase()}${name[0].charAt(1).toUpperCase()}`
                }
            },
            async initialLoad() {
                await axios
                    .get(base_url)
                    .then((response) => {
                        this.users = response.data.data
                        this.isLoaded = true

                    }, (error) => {
                        this.isLoaded = false
                        this.isFailed = true
                    })
            }
        },
        computed: {
            sortedAnggota() {
                let sorted = [...this.filteredAnggota]

                return this.sortAnggota(sorted, 'nama', 'asc')
                // this.pagination.total = data.length
            },
            filteredAnggota() {
                let search = this.search.value.toLowerCase().trim()
                let filtered = [...this.users]

                if (!search) return this.users

                return filtered.filter(c => c.nama.toLowerCase().indexOf(search) > -1);
            },
            totalFiltered() {
                return this.sortedAnggota.length
            },
            numberPages() {
                return Math.ceil(this.table.itemSize / this.table.pagination.perPage)
            },
            pageSizes() {
                if (this.users.length > 100) {
                    return [
                        5, 10, 30, 50, 100
                    ]
                }

                return [
                    5, 10, 30, 50, this.users.length
                ]
            }
        },
        watch: {
            'table.pagination.current'(newVal) {
                if (!newVal || newVal == 0) {
                    this.table.pagination.current = 1
                }
                if (newVal > this.numberPages) {
                    this.table.pagination.current = this.numberPages
                }
            },
            'search.newMember.value'(newVal) {
                if (!newVal) {
                    this.search.newMember.result = {}
                }
            }
        },
        created() {
            this.initialLoad()
        },
        updated() {
            Vue.set(this.table, 'itemSize', this.$refs.dt.total)

            if (this.$refs.dt.$refs.elPagination) {
                this.$refs.dt.$refs.elPagination.$el.className = 'd-none'
            }
        },
    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.components.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dosp7473/public_html/cpns/dashboard/resources/views/dashboard/kelas/pembagian/index.blade.php ENDPATH**/ ?>