<?php $__env->startSection('title'); ?>
Dashboard
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/css/theme-sugar.css')); ?>" type="text/css">
<link rel="stylesheet" href="<?php echo e(asset('assets/css/element-ui/index.css')); ?>" type="text/css">

<?php $__env->stopSection(); ?>

<?php $__env->startSection('search-box'); ?>
<div class="navbar-search navbar-search-light form-inline mr-sm-3" id="navbar-search-main">
    <div class="form-group mb-0" :class="{'focused':table.filters[0].value||table.filters[0].focus}">
        <div class="input-group input-group-alternative input-group-merge">
            <div class="input-group-prepend">
                <span class="input-group-text"><i class="fas fa-search"></i></span>
            </div>
            <input @blur.self="table.filters[0].focus = false" @click="table.filters[0].focus=true" v-model.trim="table.filters[0].value" class="form-control" placeholder="Cari Data Kelas" type="text">

            <div v-if="table.filters[0].value" class="input-group-append mr-2 d-none d-md-flex" @click="table.filters[0].value =  ''">
                <button class="input-group-text"><i class="fas fa-backspace"></i></button>
            </div>

            <div class="input-group-append d-md-none d-flex">
                <button v-if="table.filters[0].value" @click="table.filters[0].value =  ''" class="input-group-text pr-0 pl-2"><i class="fas fa-backspace"></i></button>

                <button data-action="search-close" class="mr-2 input-group-text"><i class="fas fa-times"></i></button>
            </div>
        </div>
    </div>
    
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('mobile-search'); ?>
<?php echo $__env->make('dashboard.components.mobile-search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-title'); ?>
<h6 class="h2 text-white d-inline-block mb-0">Data Kelas</h6>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<li class="breadcrumb-item text-white">
    <i class="fas fa-users"></i>
</li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(1))); ?></li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(2))); ?></li>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('action-bar'); ?>

<div class="mt-3 d-sm-none"></div>

<div v-if="isLoaded && !isFailed" class="d-flex justify-content-end">
    <download-excel :data="kelas" :name="exportName">
        <button class="m-1 btn btn-sm btn-neutral">Export Data</button>
    </download-excel>
    <download-excel :data="excel.format" :name="'Template Anggota Kelas'">
        <button class="m-1 btn btn-sm btn-neutral">Download Template</button>
    </download-excel>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="mb-4">
    <div class="d-flex justify-content-center" v-if="!isLoaded && !isFailed" :class="{'d-none' : isLoaded && !isFailed}">
        <div class="col-12 card">
            <div class="card-body text-center">
                <div class="spinner">
                    <div class="rect1 bg-primary"></div>
                    <div class="rect2 bg-primary"></div>
                    <div class="rect3 bg-primary"></div>
                    <div class="rect4 bg-primary"></div>
                    <div class="rect5 bg-primary"></div>
                </div>
                <h4 class="mt-4 text-primary">
                    Sedang memuat data..
                </h4>
            </div>
        </div>
    </div>

    <div class="d-flex justify-content-center d-none" :class="{'d-block':isFailed}" v-if="isFailed">
        <div class="col-12 card">
            <div class="card-body text-center text-warning">
                <i class="mt-4 fas fa-exclamation-triangle fa-5x"></i>
                <h4 class="mt-4 text-warning">
                    Gagal memuat data. Silahkan refresh halaman.
                </h4>
            </div>
        </div>
    </div>

    <div v-if="isLoaded" class="d-none" :class="{'d-block':isLoaded}">
        <div class="row">
            <div class="col-md-8 col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="text-primary">List Kelas</h3>
                    </div>
                    <div class="card-body">
                        <data-tables ref="dt" :page-size.sync="table.pagination.perPage" :current-page.sync="table.pagination.current" @current-page-change="handleCurrentPageChange" :filters="table.filters" :table-props="table.props" :data="kelas" :pagination-props="table.pagination">
                            

                            <el-table-column label="Kode" min-width="100px" prop="nama" sortable="true">
                                <template slot-scope="scope">
                                    {{ scope . row . kode }}
                                </template>
                            </el-table-column>

                            <el-table-column label="Nama" min-width="100px" prop="nama" sortable="true">
                                <template slot-scope="scope">
                                    {{ scope . row . nama.toUpperCase() }}
                                </template>
                            </el-table-column>

                            <el-table-column label="Tahun" min-width="70px" prop="tahun" sortable="true">
                                <template slot-scope="scope">
                                    {{ scope . row . tahun}}
                                </template>
                            </el-table-column>

                            <el-table-column label="Anggota" min-width="70px" prop="users_count" sortable="true">
                                <template slot-scope="scope">
                                    {{ scope . row . users_count }}
                                </template>
                            </el-table-column>

                            <el-table-column label="Actions" min-width="100px">
                                <template slot-scope="scope">
                                    <el-tooltip class="item" effect="dark" content="Hapus Kelas" placement="top">
                                        <button @click="confirmDelete(scope.row)" type="button" class="btn btn-outline-danger btn-sm btn-icon-only m-0">
                                            <span class="btn-inner--icon"><i class="fas fa-trash"></i></span>
                                        </button>
                                    </el-tooltip>

                                    <el-tooltip class="item" effect="dark" content="Edit Kelas" placement="top">
                                        <button @click="editKelas(scope.row)" type="button" class="btn btn-outline-primary btn-sm btn-icon-only  m-0">
                                            <span class="btn-inner--icon"><i class="fas fa-pencil-alt"></i></span>
                                        </button>
                                    </el-tooltip>

                                    <el-tooltip class="item" effect="dark" content="Lihat Anggota" placement="top">
                                        <a :href="'/master/kelas/'+scope.row.kode">
                                            <button type="button" class="btn btn-outline-default btn-sm btn-icon-only  m-0">
                                                <span class="btn-inner--icon"><i class="fas fa-users"></i></span>
                                            </button>
                                        </a>
                                    </el-tooltip>

                                </template>
                            </el-table-column>

                        </data-tables>
                    </div>

                    <div class="card-footer d-flex  justify-content-around align-items-end pt-2">

                        <div class="col-md-2 col-sm-6 px-2 d-flex flex-column">
                            <label class="h5" for="perpage">Item/Halaman</label>

                            <select id="perpage" v-model="table.pagination.perPage" class="form-control form-control-sm" id="inlineFormCustomSelect">
                                <option v-for="item in pageSizes.length" :key="item" :value="pageSizes[item-1]">
                                    {{ pageSizes[item - 1] + '/page' }}</option>
                            </select>
                        </div>

                        <div class="col-md-8 col-sm-12 d-flex flex-column justify-content-center text-center">
                            <h5>Jumlah data: {{ table.itemSize }}</h5>
                            <paginate :value="table.pagination.current" :page-count="numberPages" :page-range="3" :click-handler="clickCallback" :prev-text="''" :next-text="''" :container-class="'pagination justify-content-center mb-0'" :page-class="'page-item'" :page-link-class="'page-link btn-sm'" :prev-class="'page-item'" :prev-link-class="'fas fa-angle-left page-link'" :next-class="'page-item'" :next-link-class="'fas fa-angle-right page-link'" :hide-prev-next="false" :break-view-text="''" :break-view-link-class="'fas fa-ellipsis-h'">
                            </paginate>
                        </div>

                        <div class="col-md-2 col-sm-6 px-2 d-flex flex-column">
                            <label class="h5" for="to-page">Ke Halaman</label>
                            <input type="number" min="1" max="numberPage" v-model.number="table.pagination.current" id="to-page" class="form-control form-control-sm">
                        </div>

                    </div>
                </div>
            </div>

            <div class="col-md-4 col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="text-primary">
                            {{ form . editing ? 'Edit Kelas' : 'Tambah Kelas' }}
                        </h3>
                    </div>
                    <div class="card-body pb-0">

                        <div v-if="!form.is_submitting">
                            <div class="form-group">
                                <label for="nama-kelas">Nama Kelas</label>
                                <input v-model="form.nama" type="text" class="form-control" id="nama-kelas" placeholder="Masukan nama kelas" required>
                            </div>
                            <div class="form-group">
                                <label for="tahun-kelas">Tahun</label>
                                <input v-model="form.tahun" type="number" min="2010" maxlength="4" class="form-control" id="tahun-kelas" placeholder="Masukan Tahun" required>
                            </div>

                            <div class="form-group">
                                <label for="kode-kelas">Kode Kelas</label>
                                <input v-model="kodeKelas" disabled type="text" class="form-control" id="kode-kelas" placeholder="Kode Kelas dibuat otomatis" required>
                            </div>

                            <div class="form-group">
                                <label for="telegram">Link Grup Telegram</label>
                                <input v-model="form.telegram" type="text" class="form-control" id="telegram" placeholder="Tidak wajib diisi " required>
                            </div>

                            <div class="form-group">
                                <label for="page-permission">Page Permissions</label>
                                <el-select id="page-permission" v-model="form.permissions" filterable multiple collapse-tags clearable placeholder="Select" class="w-100" size="large" value-key="id">
                                    <el-option v-for="item in pagePermissions" :key="item.id" :label="item.page" :value="item">
                                        <!-- <div class="py-2" style="height: 20rem;">
                                            <span style="float: left">{{ item.nama }}</span>
                                            <span style="float: right; color: #8492a6; font-size: 13px">{{ item.page }}</span>
                                        </div> -->
                                    </el-option>
                                </el-select>
                            </div>
                        </div>

                        <div class="d-none" :class="{'d-block':form.is_submitting}" v-if="form.is_submitting">
                            <div class="card-body text-center pt-0">
                                <div class="spinner my-2">
                                    <div class="rect1 bg-primary"></div>
                                    <div class="rect2 bg-primary"></div>
                                    <div class="rect3 bg-primary"></div>
                                    <div class="rect4 bg-primary"></div>
                                    <div class="rect5 bg-primary"></div>
                                </div>
                                <h4 class="mt-4 text-primary">
                                    Sedang menyimpan data..
                                </h4>
                            </div>
                        </div>


                    </div>

                    <div class="card-footer" v-if="!form.is_submitting">
                        <div class="row" v-if="!form.editing">
                            <div class="col">
                                <button type="button" class="btn btn-secondary btn-block" :disabled="!form.nama" @click="resetFormTambah">Reset</button>
                            </div>

                            <div class="col">
                                <button type="button" class="btn btn-primary btn-block" @click="createKelas" :disabled="!form.nama || !form.tahun">Simpan</button>
                            </div>

                        </div>

                        <div class="row" v-if="form.editing">
                            <div class="col pt-4">
                                <button type="button" class="btn btn-secondary btn-block" @click="cancelUpdate">Batal</button>
                            </div>

                            <div class="col pt-4">
                                <button :disabled="kodeKelas == form.update.kode" type="button" class="btn btn-secondary btn-block" @click="resetFormUpdate">Reset</button>
                            </div>

                            <div class="col pt-4">
                                <button type="button" class="btn btn-primary btn-block" @click="updateKelas" :disabled="!form.nama || !form.tahun">Update</button>
                            </div>

                        </div>

                    </div>
                </div>

                <div class="card">
                    <div class="card-header">
                        <h3 class="text-primary">
                            Import Anggota Kelas
                        </h3>
                    </div>
                    <div class="card-body p-2">

                        <div v-if="!excel.isUploading">

                            <div @click="openFile" class="d-flex justify-content-center div-hover p-3" style="cursor: pointer;">

                                <input @change="onFileChange" accept=".xls, .xlsx" type="file" ref="file" class="d-none">
                                <span>
                                    <div class="d-flex flex-column">
                                        <div class="d-flex justify-content-center">
                                            <i v-if="excel . name" class="text-primary fas fa-file-excel fa-4x"></i>

                                            <i v-if="!excel . name" style="color: #ced4da ;" class="fas fa-file-medical fa-4x"></i>

                                        </div>
                                        <div class="flex justify-content-around">
                                            <small class="h5 mt-2">
                                                {{ !excel . name ? 'Klik disini untuk memilih file' : excel . name }}
                                            </small>
                                        </div>
                                    </div>
                                </span>
                            </div>
                        </div>

                        <div class="d-none" :class="{'d-block':excel.isUploading}" v-if="excel.isUploading">
                            <div class="card-body text-center pt-0">
                                <div class="spinner my-2">
                                    <div class="rect1 bg-primary"></div>
                                    <div class="rect2 bg-primary"></div>
                                    <div class="rect3 bg-primary"></div>
                                    <div class="rect4 bg-primary"></div>
                                    <div class="rect5 bg-primary"></div>
                                </div>
                                <h4 class="mt-4 text-primary">
                                    Sedang menyimpan data..
                                </h4>
                            </div>
                        </div>

                    </div>

                    <div class="card-footer" v-if="!excel.isUploading">
                        <div class="row" v-if="!form.editing">
                            <div class="col">
                                <button type="button" class="btn btn-secondary btn-block" :disabled="!excel.name" @click="resetExcel">Reset</button>
                            </div>

                            <div class="col">
                                <button type="button" class="btn btn-primary btn-block" @click="uploadExcel" :disabled="!excel.name">Upload</button>
                            </div>

                        </div>

                    </div>
                </div>
            </div>

        </div>

        <confirm-delete v-if="form.delete.confirm" :show-modal="form.delete.confirm" :is-deleting="form.delete.isDeleting" @onclose="closeConfirmDelete" @onconfirm="destroyKelas">
        </confirm-delete>



    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/js/element-ui/index.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/element-ui/locales/en.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/element-ui/data-tables.js')); ?>"></script>

<script src="<?php echo e(asset('assets/js/vue-json-excel.umd.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/xlsx.core.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/jszip.js')); ?>"></script>

<script src="<?php echo e(asset('assets/js/vue-paginate.js')); ?>"></script>

<script src="<?php echo e(asset('assets/js/vue-toast-notification.js')); ?>"></script>

<script src="<?php echo e(asset('assets/js/vue/confirm-delete.js')); ?>"></script>

<script>
    let base_url = "<?php echo e(url('/')); ?>/api/kelas"

    ELEMENT.locale(ELEMENT.lang.en)
    Vue.use(VueToast);
    Vue.use(DataTables.DataTables)
    Vue.use(XLSX)

    Vue.component('paginate', VuejsPaginate)
    Vue.component('download-excel', JsonExcel)

    var app = new Vue({
        el: '#panel',
        data: {
            table: {
                itemSize: 0,
                header: [{
                    prop: "kode",
                    label: "Kode"
                }, {
                    prop: "nama",
                    label: "Nama"
                }, {
                    prop: "tahun",
                    label: "Tahun"
                }],
                props: {
                    defaultSort: {
                        prop: 'kode',
                        order: 'descending'
                    }
                },
                filters: [{
                    prop: ['kode', 'nama', 'tahun'],
                    value: '',
                    focus: false
                }],
                pagination: {
                    pageSizes: [10, 30, 50],
                    current: 1,
                    perPage: 10
                }
            },
            form: {
                nama: '',
                tahun: 0,
                telegram: '',
                permissions: [],
                is_submitting: false,
                editing: false,
                update: {},
                delete: {
                    confirm: false,
                    isDeleting: false,
                    data: {}
                }
            },
            excel: {
                name: '',
                data: [],
                isUploading: false,
                format: [{
                    nama: 'Nama lengkap pengguna. Pastikan tidak menggunakan karakter spesial. Karena hanya kamu yang spesial <3',
                    email: 'Email pengguna, pastikan formatnya benar. Jika email belum terdaftar sebagai user akan didaftarkan otomatis.',
                    password: 'Jika user sudah terdaftar maka password lama yang digunakan untuk login.',
                    kode: 'Kode kelas, silahkan buat kelas di halaman \'master/kelas\'.'
                }]
            },
            isFailed: false,
            isLoaded: false,
            kelas: [],
            pagePermissions: []
        },
        methods: {
            clickCallback(page) {
                this.table.pagination.current = page
            },
            handleCurrentPageChange(page) {
                this.table.pagination.current = page
            },
            openFile() {
                this.$refs.file.click()
            },
            onFileChange(e) {

                var files = e.target.files || e.dataTransfer.files;
                if (!files.length)
                    return;

                this.excel.tempName = files[0].name

                this.readExcel(files[0]);
            },
            readExcel(file) {
                let reader = new FileReader();

                reader.onload = function(e) {

                    this.excelToJson(e.target.result)

                }.bind(this);

                reader.readAsBinaryString(file);
            },
            excelToJson(file) {
                this.excel.name = this.excel.tempName;

                let workbook = XLSX.read(file, {
                    type: 'binary'
                });

                let firstSheet = workbook.SheetNames[0];

                let excelRows = XLSX.utils.sheet_to_row_object_array(workbook.Sheets[firstSheet]);

                if (!excelRows || excelRows.length == 0) {
                    this.resetExcel()
                    this.showToast('File excel tidak boleh kosong!', 'error')

                } else if (Object.keys(excelRows[0])[0] != 'nama' && Object.keys(excelRows[0])[1] != 'email' && Object.keys(excelRows[0])[2] != 'password' && Object.keys(excelRows[0])[3] != 'kode') {
                    this.resetExcel()
                    this.showToast('Format template salah!', 'error')
                } else {
                    this.excel.data = excelRows
                    this.showToast('File excel siap di-upload!', 'info')
                }

            },
            resetExcel() {
                this.excel.data = []
                this.excel.name = ''
                this.tempName = ''
            },
            resetFormTambah() {
                this.form.nama = ''
                this.form.tahun = new Date().getFullYear()
                this.form.is_submitting = false
                this.form.editing = false
                this.form.update = {}
                Vue.set(this.form, "permissions", this.pagePermissions)
            },
            resetFormUpdate() {
                this.form.nama = this.form.update.nama
                this.form.tahun = this.form.update.tahun
                this.form.is_submitting = false
                this.form.editing = true
                Vue.set(this.form, "permissions", this.pagePermissions)
                this.showToast('Form edit telah direset', 'default')
            },
            showToast(msg, type) {
                Vue.$toast.open({
                    message: msg,
                    type: type,
                });
            },
            async uploadExcel() {
                this.excel.isUploading = true
                let excel = this.excel.data
                const result = {};
                for (const {
                        nama,
                        email,
                        password,
                        kode
                    } of excel) {
                    if (!result[kode]) result[kode] = [];
                    result[kode].push({
                        nama,
                        email,
                        password
                    });
                }

                await axios
                    .post(base_url + "/array", {
                        data: result
                    })
                    .then((response) => {

                        axios
                            .get(base_url)
                            .then((response) => {
                                this.kelas = response.data.data

                            })
                        this.showToast(
                            `Berhasil upload.`,
                            'info'
                        )
                        this.excel.isUploading = false
                        this.resetExcel()

                    }, (error) => {

                        this.showToast('Gagal upload', 'error')

                        this.resetExcel()
                        this.excel.isUploading = false
                    })

            },
            createKelas() {
                this.form.is_submitting = true
                setTimeout(() => {
                    axios
                        .post(base_url, {
                            nama: this.form.nama,
                            tahun: this.form.tahun,
                            kode: this.kodeKelas,
                            telegram: this.form.telegram,
                            permissions: this.form.permissions.map((e) => e.id)
                        })
                        .then((response) => {
                            this.kelas.push(response.data.data)
                            this.kelas[this.kelas.length - 1].users_count = 0

                            this.showToast(
                                `Berhasil menambah kelas.<br>Nama Kelas: ${response.data.data.nama}`,
                                'info'
                            )
                            this.resetFormTambah()

                        }, (error) => {
                            this.showToast('Gagal menambah data kelas', 'error')
                            this.resetFormTambah()
                        })
                }, 1000)
            },
            editKelas(row) {
                this.form.update = row
                this.form.editing = true
                this.form.nama = row.nama
                this.form.tahun = row.tahun
                this.form.telegram = row.telegram
                this.form.permissions = row.page_permissions

                this.showToast('Edit data kelas', 'default')

            },
            updateKelas() {
                this.form.is_submitting = true

                setTimeout(() => {
                    axios
                        .put(base_url, {
                            id: this.form.update.id,
                            nama: this.form.nama.toLowerCase(),
                            tahun: this.form.tahun,
                            kode: this.kodeKelas,
                            telegram: this.form.telegram,
                            permissions: this.form.permissions.map((e) => e.id)
                        })
                        .then((response) => {
                            let id = this.kelas.indexOf(this.form.update)

                            Vue.set(this.kelas, id, response.data.data)
                            this.showToast(
                                `Berhasil update kelas.<br>Nama Kelas: ${response.data.data.nama}`,
                                'info'
                            )
                            this.resetFormTambah()

                        }, (error) => {
                            this.showToast('Gagal update data kelas', 'error')
                            this.resetFormTambah()
                        })
                }, 1000);

            },
            cancelUpdate() {
                this.resetFormTambah()
                this.showToast('Batal edit data kelas', 'default')

            },
            confirmDelete(row) {
                this.form.delete.data = row
                this.form.delete.confirm = true
            },
            closeConfirmDelete() {
                this.form.delete.data = {}
                this.form.delete.confirm = false
                this.form.delete.isDeleting = false
            },
            destroyKelas() {
                this.form.delete.isDeleting = true

                let item = this.form.delete.data
                let id = this.kelas.indexOf(item)

                setTimeout(() => {
                    axios
                        .delete(base_url, {
                            data: {
                                id: item.id
                            }
                        })
                        .then((response) => {
                            this.kelas.splice(id, 1)

                            this.showToast(
                                `Berhasil menghapus Data.<br>Nama Kelas: ${response.data.data.nama}`,
                                'info'
                            )

                            this.closeConfirmDelete()

                        }, (error) => {
                            this.showToast('Gagal menghapus data kelas', 'error')

                            this.closeConfirmDelete()
                        })
                }, 1000);
            },
            async initialLoad() {
                await axios
                    .get(base_url)
                    .then((response) => {
                        this.kelas = response.data.data

                        axios.get("<?php echo e(url('/api/permission')); ?>")
                            .then((resp) => {
                                Vue.set(this, "pagePermissions", resp.data.data)
                                Vue.set(this.form, "permissions", resp.data.data)
                            }, (error) => {
                                this.isLoaded = false
                                this.isFailed = true
                            })

                        this.isLoaded = true

                    }, (error) => {
                        this.isLoaded = false
                        this.isFailed = true
                    })
            }
        },
        computed: {
            kodeKelas() {

                if (!this.form.nama) {
                    return ''
                }

                return `${this.form.nama.replace(/\s+/g, '-').toLowerCase()}`
            },
            exportName() {
                return `Data Kelas Export (${new Date().toLocaleString().replace(/\//g, '-')})`
            },
            numberPages() {
                return Math.ceil(this.table.itemSize / this.table.pagination.perPage)
            },
            pageSizes() {
                if (this.kelas.length > 100) {
                    return [
                        5, 10, 30, 50, 100
                    ]
                }

                return [
                    5, 10, 30, 50, this.kelas.length
                ]
            }
        },
        watch: {
            'table.pagination.current'(newVal) {
                if (!newVal || newVal == 0) {
                    this.table.pagination.current = 1
                }
                if (newVal > this.numberPages) {
                    this.table.pagination.current = this.numberPages
                }
            }
        },
        created() {

            this.initialLoad()
            this.form.tahun = new Date().getFullYear()

        },
        updated() {
            Vue.set(this.table, 'itemSize', this.$refs.dt.total)

            if (this.$refs.dt.$refs.elPagination) {
                this.$refs.dt.$refs.elPagination.$el.className = 'd-none'
            }
        },
    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.components.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dosp7473/public_html/cpns/dashboard/resources/views/dashboard/kelas/index.blade.php ENDPATH**/ ?>