<?php $__env->startSection('title'); ?>
Dashboard
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/css/theme-sugar.css')); ?>" type="text/css">
<link rel="stylesheet" href="<?php echo e(asset('assets/css/element-ui/index.css')); ?>" type="text/css">
<link rel="stylesheet" href="<?php echo e(asset('assets/vendor/vue-select/vue-select.css')); ?>" type="text/css">


<style>
    .page-item .page-link {
        width: 2rem;
        height: 2rem;

        font-size: 0.75rem;
    }

    .overlay-container {
        position: relative;
    }

    .overlay-image {
        opacity: 1;
        display: block;

        transition: .5s ease;
        backface-visibility: hidden;
    }

    .overlay-middle {
        transition: .5s ease;
        opacity: 0;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        text-align: center;
    }

    .overlay-container:hover .overlay-image {
        opacity: 0.3;
    }

    .overlay-container:hover .overlay-middle {
        opacity: 1;
    }

    .overlay-text {
        background-color: #4CAF50;
        color: white;
        font-size: 16px;
        padding: 16px 32px;
    }
</style>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('search-box'); ?>
<div class="navbar-search navbar-search-light form-inline mr-sm-3" id="navbar-search-main">
    <div class="form-group mb-0" :class="{'focused':table.filters[0].value||table.filters[0].focus}">
        <div class="input-group input-group-alternative input-group-merge">
            <div class="input-group-prepend">
                <span class="input-group-text"><i class="fas fa-search"></i></span>
            </div>
            <input @blur.self="table.filters[0].focus = false" @click="table.filters[0].focus=true" v-model="table.filters[0].value" class="form-control" placeholder="Cari Soal Tryout" type="text">

            <div v-if="table.filters[0].value" class="input-group-append mr-2 d-none d-md-flex" @click="table.filters[0].value =  ''">
                <button class="input-group-text"><i class="fas fa-backspace"></i></button>
            </div>

            <div class="input-group-append d-md-none d-flex">
                <button v-if="table.filters[0].value" @click="table.filters[0].value =  ''" class="input-group-text pr-0 pl-2"><i class="fas fa-backspace"></i></button>

                <button data-action="search-close" class="mr-2 input-group-text"><i class="fas fa-times"></i></button>
            </div>
        </div>
    </div>

</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('mobile-search'); ?>
<?php echo $__env->make('dashboard.components.mobile-search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-title'); ?>
<h6 class="h2 text-white d-inline-block mb-0">
    Soal Tryout (Bonus)
</h6>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<li class="breadcrumb-item text-white">
    <i class="ni ni-ungroup"></i>
</li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(1))); ?></li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(2))); ?></li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(3))); ?></li>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>
<div class="mb-4">
    <div class="d-flex justify-content-center" v-if="!isLoaded && !isFailed" :class="{'d-none' : isLoaded && !isFailed}">
        <div class="col-12 card">
            <div class="card-body text-center">
                <div class="spinner">
                    <div class="rect1 bg-primary"></div>
                    <div class="rect2 bg-primary"></div>
                    <div class="rect3 bg-primary"></div>
                    <div class="rect4 bg-primary"></div>
                    <div class="rect5 bg-primary"></div>
                </div>
                <h4 class="mt-4 text-primary">
                    Sedang memuat data..
                </h4>
            </div>
        </div>
    </div>

    <div class="d-flex justify-content-center d-none" :class="{'d-block':isFailed}" v-if="isFailed">
        <div class="col-12 card">
            <div class="card-body text-center text-warning">
                <i class="mt-4 fas fa-exclamation-triangle fa-5x"></i>
                <h4 class="mt-4 text-warning">
                    Gagal memuat data. Silahkan refresh halaman.
                </h4>
            </div>
        </div>
    </div>

    <div v-if="isLoaded" class="d-none" :class="{'d-block':isLoaded}">
        <div class="row">
            <div class="col-12">
                <div class="card d-none d-lg-block">
                    <div class="card-header">
                        <h3 class="text-primary">List Soal</h3>
                    </div>
                    <div class="card-body">
                        <data-tables ref="dt" style="width: 100%" :page-size.sync="table.pagination.perPage" :current-page.sync="table.pagination.current" @current-page-change="handleCurrentPageChange" :filters="table.filters" :table-props="table.props" :data="tryouts" :pagination-props="table.pagination">


                            <el-table-column label="Nama" min-width="200%" prop="nama" sortable="true">
                                <template slot-scope="scope">
                                    <el-tooltip v-if="scope.row.protected" class="item" effect="dark" placement="top">
                                        <div slot="content">
                                            Soal ini dilindungi kode akses. <br>Anda harus memasukkan kode
                                            <br>
                                            akses untuk mengerjakan
                                            <br>atau melihat pembahasan
                                        </div>

                                        <i class="fas fa-user-lock mr-1"></i>


                                    </el-tooltip>
                                    <span>
                                        {{ scope . row . nama . toUpperCase() }}
                                    </span>
                                </template>
                            </el-table-column>


                            <el-table-column label="Jumlah Soal" min-width="120%" prop="jumlah_soal" sortable="true" align="center">
                                <template slot-scope="scope">

                                    {{ scope . row . jumlah_soal}}

                                </template>
                            </el-table-column>


                            <el-table-column label="Durasi" prop="durasi" min-width="100%" sortable="true" align="center">
                                <template slot-scope="scope">
                                    <span class="h2">
                                        <span class="badge badge-pill badge-primary">
                                            <i class="fas fa-stopwatch">
                                            </i>
                                            <span>
                                                {{ scope . row . durasi + ' menit' }}
                                            </span>
                                        </span>
                                    </span>

                                </template>
                            </el-table-column>

                            <el-table-column label="Pembahasan" min-width="100%" align="center">
                                <template slot-scope="scope">
                                    <div v-if="!scope.row.paket.pembahasan.tiu.avaible &&!scope.row.paket.pembahasan.tkp.avaible && !scope.row.paket.pembahasan.twk.avaible && !scope.row.paket.pembahasan.pdf.avaible">
                                        <h4>
                                            -
                                            <!--<span class="badge badge-pill badge-default">-->
                                            <!--    Tidak tersedia-->
                                            <!--</span>-->
                                        </h4>
                                    </div>

                                    <div v-else>
                                        <el-tooltip v-if="scope.row.paket.pembahasan.tiu.avaible" class="item" effect="dark" content="Video Pembahasan TIU" placement="top">
                                            <button @click="(scope.row.protected)?showModalKodeAkses('tiu',scope.row):showVideo(scope.row, scope.row.paket.pembahasan.tiu.data)" type="button" class="my-1 btn btn-outline-danger btn-sm btn-icon-only m-0">
                                                <span class="btn-inner--icon"><i class="fab fa-youtube"></i></span>
                                            </button>
                                        </el-tooltip>

                                        <el-tooltip v-if="scope.row.paket.pembahasan.tkp.avaible" class="item" effect="dark" content="Video Pembahasan TKP" placement="top">
                                            <button @click="(scope.row.protected)?showModalKodeAkses('tkp',scope.row):showVideo(scope.row, scope.row.paket.pembahasan.tkp.data)" type="button" class="my-1 btn btn-outline-danger btn-sm btn-icon-only m-0">
                                                <span class="btn-inner--icon"><i class="fab fa-youtube"></i></span>
                                            </button>
                                        </el-tooltip>

                                        <el-tooltip v-if="scope.row.paket.pembahasan.twk.avaible" class="item" effect="dark" content="Video Pembahasan TWK" placement="top">
                                            <button @click="(scope.row.protected)?showModalKodeAkses('twk',scope.row):showVideo(scope.row, scope.row.paket.pembahasan.tkp.data)" type="button" class="my-1 btn btn-outline-danger btn-sm btn-icon-only m-0">
                                                <span class="btn-inner--icon"><i class="fab fa-youtube"></i></span>
                                            </button>
                                        </el-tooltip>

                                        <el-tooltip v-if="scope.row.paket.pembahasan.pdf.avaible" class="item" effect="dark" content="Pembahasan PDF" placement="top">
                                            <button @click="(scope.row.protected)?showModalKodeAkses('pdf',scope.row):openPdf(scope.row.paket.pembahasan.pdf.data)" type="button" class="mr-0 my-1 btn btn-outline-primary btn-sm btn-icon-only">
                                                <span class="btn-inner--icon"><i class="fas fa-file-pdf"></i></span>
                                            </button>
                                        </el-tooltip>
                                    </div>

                                </template>
                            </el-table-column>

                            <el-table-column label="Actions" min-width="110%" align="center">
                                <template slot-scope="scope">
                                    <el-tooltip class="item" effect="dark" content="Lihat Rangking" placement="top">
                                        <a :href="'<?php echo e(url('/ujian/tryout')); ?>/'+scope.row.kode+'/rangking'">
                                            <button type="button" class="mr-0 mt-1 btn btn-outline-success btn-sm btn-icon-only">
                                                <span class="btn-inner--icon"><i class="fas fa-chart-line"></i></span>
                                            </button>
                                        </a>
                                    </el-tooltip>

                                    <el-tooltip class="item" effect="dark" content="Lihat Riwayat dan Hasil" placement="top">
                                        <a :href="'<?php echo e(url('/ujian/'.Request::segment(2).'/')); ?>/'+scope.row.kode+'/riwayat'">
                                            <button type="button" class="mr-0 mt-1 btn btn-outline-info btn-sm btn-icon-only">
                                                <span class="btn-inner--icon">
                                                    <i class="fas fa-history"></i>
                                                </span>
                                            </button>
                                        </a>

                                    </el-tooltip>

                                    <el-tooltip class="item" effect="dark" content="Kerjakan" placement="top">
                                        <a :href="'<?php echo e(url('/ujian/'.Request::segment(2).'/')); ?>/'+scope.row.kode+'/start'">
                                            <button style="height: 2rem" type="button" class="mr-0 mt-1 btn btn-outline-primary btn-sm">Kerjakan</button>
                                        </a>
                                    </el-tooltip>

                                </template>
                            </el-table-column>

                        </data-tables>
                    </div>

                    <div class="card-footer d-flex  justify-content-around align-items-end pt-2">

                        <div class="col-md-2 col-sm-6 px-2 d-flex flex-column">
                            <label class="h5" for="perpage">Item/Halaman</label>

                            <select id="perpage" v-model="table.pagination.perPage" class="form-control form-control-sm" id="inlineFormCustomSelect">
                                <option v-for="item in pageSizes.length" :key="item" :value="pageSizes[item-1]">
                                    {{ pageSizes[item - 1] + '/page' }}</option>
                            </select>
                        </div>

                        <div class="col-md-8 col-sm-12 d-flex flex-column justify-content-center text-center">
                            <h5>Jumlah data: {{ table.itemSize }}</h5>
                            <paginate :value="table.pagination.current" :page-count="numberPages" :page-range="3" :click-handler="clickCallback" :prev-text="''" :next-text="''" :container-class="'pagination justify-content-center mb-0'" :page-class="'page-item'" :page-link-class="'page-link btn-sm'" :prev-class="'page-item'" :prev-link-class="'fas fa-angle-left page-link'" :next-class="'page-item'" :next-link-class="'fas fa-angle-right page-link'" :hide-prev-next="false" :break-view-text="''" :break-view-link-class="'fas fa-ellipsis-h'">
                            </paginate>
                        </div>

                        <div class="col-md-2 col-sm-6 px-2 d-flex flex-column">
                            <label class="h5" for="to-page">Ke Halaman</label>
                            <input type="number" min="1" max="numberPage" v-model.number="table.pagination.current" id="to-page" class="form-control form-control-sm">
                        </div>

                    </div>
                </div>

                <div class="card-body d-lg-none">
                    <div class="row">
                        <div class="mb-4 col-sm-12 col-md-6" v-for="(e, i) in filtered" :key="i">
                            <div class="card h-100">
                                <div class="card-body pb-0">

                                    <h4 class="card-title text-uppercase text-primary mb-0">
                                        <el-tooltip v-if="e.protected" class="item" effect="dark" placement="top">
                                            <div slot="content">
                                                Soal ini dilindungi kode akses. <br>Anda harus memasukkan kode
                                                <br>
                                                akses untuk mengerjakan
                                                <br>atau melihat pembahasan
                                            </div>

                                            <i class="fas fa-user-lock mr-1"></i>

                                        </el-tooltip></i> {{e.nama}}
                                    </h4>

                                    <div class="row mt-1">
                                        <div class="col-6 pr-0">
                                            <span class="text-sm text-muted">Jml. Soal:</span>
                                            <br>
                                            <span class="h4">{{e.jumlah_soal}}</span>
                                        </div>

                                        <div class="col-6 p-0">
                                            <span class="text-sm text-muted">Durasi:</span>
                                            <br>
                                            <span class="h4">{{e.durasi}} <span class="h5 ">menit</span></span>
                                        </div>

                                    </div>

                                    <div class="mt-1">
                                        <span class="text-sm text-muted mb-1">Pembahasan:</span>
                                        <br>
                                        <div class="d-flex flex-wrap">

                                            <button v-if="e.paket.pembahasan.pdf.avaible" @click="(e.protected)?showModalKodeAkses('pdf',e):openPdf(e.paket.pembahasan.pdf.data)" type="button" class="mr-2 my-1 btn btn-sm btn-primary btn-icon">
                                                <span class="btn-inner--icon"><i class="fas fa-file-pdf"></i></span>
                                                <span class="ml-1 btn-inner--text">PDF</span>
                                            </button>

                                            <button @click="(e.protected)?showModalKodeAkses('tiu',e):showVideo(e, e.paket.pembahasan.tiu.data)" v-if="e.paket.pembahasan.tiu.avaible" type="button" class="mr-2 my-1 btn btn-sm btn-youtube btn-icon">
                                                <span class="btn-inner--icon"><i class="fab fa-youtube"></i></span>
                                                <span class="ml-1 btn-inner--text">TIU</span>
                                            </button>

                                            <button @click="(e.protected)?showModalKodeAkses('tkp',e):showVideo(e, e.paket.pembahasan.tkp.data)" v-if="e.paket.pembahasan.tkp.avaible" type="button" class="mr-2 my-1 btn btn-sm btn-youtube btn-icon">
                                                <span class="btn-inner--icon"><i class="fab fa-youtube"></i></span>
                                                <span class="ml-1 btn-inner--text">TKP</span>
                                            </button>

                                            <button @click="(e.protected)?showModalKodeAkses('twk',e):showVideo(e, e.paket.pembahasan.twk.data)" v-if="e.paket.pembahasan.twk.avaible" type="button" class="mr-2 my-1 btn btn-sm btn-youtube btn-icon">
                                                <span class="btn-inner--icon"><i class="fab fa-youtube"></i></span>
                                                <span class="ml-1 btn-inner--text">TWK</span>
                                            </button>
                                        </div>

                                        <div v-if="!e.paket.pembahasan.tiu.avaible &&!e.paket.pembahasan.tkp.avaible && !e.paket.pembahasan.twk.avaible && !e.paket.pembahasan.pdf.avaible">
                                            <h4>
                                                -
                                                <!--<span class="badge badge-pill badge-default">-->
                                                <!--    Tidak tersedia-->
                                                <!--</span>-->
                                            </h4>
                                        </div>
                                    </div>

                                    <div class="mt-4">
                                        <div class="d-flex  justify-content-between">
                                            <a :href="'<?php echo e(url('/ujian/tryout')); ?>/'+e.kode+'/rangking'">
                                                <button type="button" class="btn btn-slack btn-icon">
                                                    <span class="btn-inner--icon"><i class="fas fa-chart-line"></i></span>
                                                    <span class="btn-inner--text">Rangking</span>
                                                </button>
                                            </a>

                                            <a :href="'<?php echo e(url('/ujian/'.Request::segment(2).'/')); ?>/'+e.kode+'/riwayat'">
                                                <button type="button" class="btn btn-twitter btn-icon">
                                                    <span class="btn-inner--icon"><i class="fas fa-history"></i></span>
                                                    <span class="btn-inner--text">Riwayat</span>
                                                </button>
                                            </a>
                                        </div>
                                    </div>

                                </div>
                                <a :href="'<?php echo e(url('/ujian/'.Request::segment(2).'/')); ?>/'+e.kode+'/start'">
                                    <div class="mb-0 bg-transparent py-3 card-footer d-flex flex-wrap justify-content-between arrow-circle-right text-primary h4">
                                        <span>Kerjakan</span>
                                        <span><i class="fas fa-arrow-circle-right"></i></span>
                                    </div>
                                </a>
                            </div>
                            <!-- /.card -->
                        </div>

                    </div>

                </div>
            </div>

        </div>

        <modal-video v-if="video.show" :judul="video.judul" :youtube_id="video.video" v-on:close="closeVideo">
        </modal-video>

        <div v-if="modal.show" class="d-none" :class="{'d-block':modal.show}">
            <div class="modal fade show modal-active" tabindex="-1" role="dialog">
                <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <div v-if="!modal.isSubmitting" class="modal-header py-2 px-3 align-items-center">
                            <h5 class="modal-title">
                                <span class="text-primary align-middle">
                                    Kode Akses
                                </span>
                            </h5>
                            <button type="button" class="close" @click="closeModalKodeAkses">
                                <i class="fas fa-times-circle text-primary"></i>
                            </button>
                        </div>
                        <div class="modal-body px-3 pt-3 ">
                            <div v-if="modal.isSubmitting">
                                <div class="spinner">
                                    <div class="rect1 bg-primary"></div>
                                    <div class="rect2 bg-primary"></div>
                                    <div class="rect3 bg-primary"></div>
                                    <div class="rect4 bg-primary"></div>
                                    <div class="rect5 bg-primary"></div>
                                </div>
                                <h3 class="mt-4 mb-5 text-primary text-center">
                                    Sedang menyimpan data..
                                </h3>
                            </div>
                            <form @submit.prevent="enterKodeAkses" v-if="!modal.isSubmitting" class="text-center text-primary h3">
                                Masukkan kode akses untuk melihat pembahasan
                                <div class="form-group mt-2 p-2">
                                    <input type="text" class="form-control" placeholder="Kode Akses" v-model.trim="modal.kodeAkses" required>
                                </div>

                                <span>
                                    <button type="submit" class="btn btn-primary" :disabled="!modal.kodeAkses">Unlock</button>
                                </span>

                            </form>
                        </div>

                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/js/element-ui/index.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/element-ui/locales/en.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/element-ui/data-tables.js')); ?>"></script>

<script src="<?php echo e(asset('assets/vendor/vue-select/vue-select.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/vue-paginate.js')); ?>"></script>

<script src="<?php echo e(asset('assets/js/vue-toast-notification.js')); ?>"></script>

<script src="<?php echo e(asset('assets/js/vue/confirm-delete.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/vue/modal-video.js')); ?>"></script>


<script>
    // let base_url = "<?php echo e(url('/api/user')); ?>"
    let base = "<?php echo e(url('/')); ?>/api"

    let tryout_url = base + "/soal/tryout/bonus"
    // let kelas_url = base + "/kelas"
    // let paket_url = base + "/paket/tryout"

    ELEMENT.locale(ELEMENT.lang.en)
    Vue.use(VueToast);
    Vue.use(DataTables.DataTables)

    Vue.component('v-select', VueSelect.VueSelect);
    Vue.component('paginate', VuejsPaginate)

    var app = new Vue({
        el: '#panel',
        data: {
            video: {
                show: false,
                judul: '',
                video: ''
            },
            modal: {
                show: false,
                tipe: null,
                kodeAkses: null,
                isSubmitting: false,
                data: null
            },
            table: {
                itemSize:0,
                header: [],
                props: {

                },
                filters: [{
                    prop: ['nama', 'durasi', 'jumlah_soal'],
                    value: '',
                    focus: false
                }],
                pagination: {
                    pageSizes: [10, 30, 50],
                    current: 1,
                    perPage: 10
                }
            },
            isFailed: false,
            isLoaded: false,
            tryouts: []
        },
        methods: {
            timeStamp(time) {
                return Math.ceil(time / 1000)
            },
            clickCallback(page) {
                this.table.pagination.current = page
            },
            handleCurrentPageChange(page) {
                this.table.pagination.current = page
            },
            showToast(msg, type) {
                Vue.$toast.open({
                    message: msg,
                    type: type,
                    position: "top-right",
                    duration: 3000,
                    // all of other options may go here
                });
            },
            showModalKodeAkses(tipe, data) {
                this.modal.tipe = tipe
                this.modal.data = data
                this.modal.show = true
            },
            enterKodeAkses() {
                this.modal.isSubmitting = true

                this.modal.show = true
                let data = this.modal.data
                const tipe = this.modal.tipe
                const kode_akses = this.modal.kodeAkses
                axios
                    .post(base + "/soal/tryout/" + data.id + "/pembahasan", {
                        kode_akses: kode_akses,
                        tipe: tipe,
                    })
                    .then((response) => {
                        this.modal.isSubmitting = false

                        const url = response.data.data

                        if (tipe === 'pdf') {
                            this.openPdf(url)
                        } else {
                            this.showVideo(data, url)
                        }

                        this.closeModalKodeAkses()

                    }, (error) => {
                        this.modal.isSubmitting = false
                        this.showToast("Kode akses salah", "error")
                    })

                // if (type === 'pdf') {
                //     this.openPdf(data.paket.pembahasan.pdf.data)
                // }
            },
            closeModalKodeAkses() {
                this.modal.show = false
                this.modal.kodeAkses = null
                this.modal.tipe = null
                this.modal.data = null
                this.modal.isSubmitting = false
            },
            showVideo(row, video) {
                let modal = this.video
                modal.video = video
                modal.judul = (row.nama).toUpperCase()
                modal.show = true
            },
            openPdf(url) {
                pdf = "https://drive.google.com/file/d/" + url + "/view?usp=sharing"
                window.open(pdf)
            },
            closeVideo() {
                let modal = this.video
                modal.video = ''
                modal.judul = ''
                modal.show = false
            },
            async initialLoad() {
                await axios
                    .get(tryout_url)
                    .then((response) => {
                        // this.tryouts = response.data.data

                        let data = []

                        response.data.data.forEach(to => {
                            this.tryouts.push({
                                id: to.id,
                                kode: to.kode,
                                nama: to.nama,
                                durasi: to.durasi,
                                paket_id: to.paket.id,
                                pg_tiu: to.pg_tiu,
                                pg_tkp: to.pg_tkp,
                                pg_twk: to.pg_twk,
                                protected: to.protected,
                                paket_nama: to.paket.nama,
                                paket_kode: to.paket.kode,
                                paket: to.paket,
                                jumlah_soal: to.paket.jumlah_soal,
                            })
                        });

                        this.isLoaded = true

                    }, (error) => {
                        this.isLoaded = false
                        this.isFailed = true
                    })
            }
        },
        computed: {
            cekFormTambah() {
                let tambah = this.form.data

                return (tambah.nama && tambah.durasi && tambah.pg_tiu && tambah.pg_tkp && tambah.pg_twk && tambah.start && tambah.end && tambah.kelas && tambah.paket)
            },
            numberPages() {
                return Math.ceil(this.table.itemSize / this.table.pagination.perPage)
            },
            pageSizes() {
                if (this.tryouts.length > 100) {
                    return [
                        5, 10, 30, 50, 100
                    ]
                }

                return [
                    5, 10, 30, 50, this.tryouts.length
                ]
            },
            filtered() {
                let search = this.table.filters[0].value.toLowerCase().trim()
                let filtered = [...this.tryouts]

                if (!search) return this.tryouts

                return filtered.filter(c => c.nama.toLowerCase().indexOf(search) > -1);
            },
        },
        watch: {
            'table.pagination.current'(newVal) {
                if (!newVal || newVal == 0) {
                    this.table.pagination.current = 1
                }
                if (newVal > this.numberPages) {
                    this.table.pagination.current = this.numberPages
                }
            }
        },
        created() {
            this.initialLoad()

        },
        updated() {
            Vue.set(this.table, 'itemSize', this.$refs.dt.total)
            if (this.$refs.dt.$refs.elPagination) {
                this.$refs.dt.$refs.elPagination.$el.className = 'd-none'
            }
        },
    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.components.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dosp7473/public_html/cpns/dashboard/resources/views/dashboard/soal/tryout/userbonus.blade.php ENDPATH**/ ?>