<?php $__env->startSection('title'); ?>
Dashboard - Kontribusi Soal
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/css/theme-sugar.css')); ?>" type="text/css">
<link rel="stylesheet" href="<?php echo e(asset('assets/css/element-ui/index.css')); ?>" type="text/css">
<link href="https://cdn.quilljs.com/1.3.4/quill.core.css" rel="stylesheet">
<link href="https://cdn.quilljs.com/1.3.4/quill.snow.css" rel="stylesheet">

<style>
    .ql-editor {
        min-height: 20rem;
    }
    .ql-container {
        min-height: 20rem;
    }

    .el-input__inner {
        height: calc(1.5em + 1.25rem + 5px);
    }

    .modal-lg {
        max-width: 90% !important;
    }

    .modal-dialog.scroll {
        overflow-y: initial !important
    }

    .modal-body.scroll {
        max-height: 70vh;
        overflow-y: auto;
    }

    img {
        max-width: 100%;
    }
</style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('search-box'); ?>
<div class="navbar-search navbar-search-light form-inline mr-sm-3" id="navbar-search-main">
    <div class="form-group mb-0" :class="{'focused':table.filters[0].value||table.filters[0].focus}">
        <div class="input-group input-group-alternative input-group-merge">
            <div class="input-group-prepend">
                <span class="input-group-text"><i class="fas fa-search"></i></span>
            </div>
            <input @blur.self="table.filters[0].focus = false" @click="table.filters[0].focus=true"
                v-model.trim="table.filters[0].value" class="form-control" placeholder="Cari Soal" type="text">

            <div v-if="table.filters[0].value" class="input-group-append mr-2 d-none d-md-flex"
                @click="table.filters[0].value =  ''">
                <button class="input-group-text"><i class="fas fa-backspace"></i></button>
            </div>

            <div class="input-group-append d-md-none d-flex">
                <button v-if="table.filters[0].value" @click="table.filters[0].value =  ''"
                    class="input-group-text pr-0 pl-2"><i class="fas fa-backspace"></i></button>

                <button data-action="search-close" class="mr-2 input-group-text"><i class="fas fa-times"></i></button>
            </div>
        </div>
    </div>

</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('mobile-search'); ?>
<?php echo $__env->make('dashboard.components.mobile-search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('page-title'); ?>
<h6 class="h2 text-white d-inline-block mb-0">
    Kontribusi Soal
</h6>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<li class="breadcrumb-item text-white">
    <i class="fas fa-paper-plane"></i>
</li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(1))); ?></li>
<li class="breadcrumb-item text-white"><?php echo e(ucfirst(Request::segment(2))); ?></li>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('action-bar'); ?>
<div class="mt-3 d-sm-none"></div>
<div v-if="isLoaded && !isFailed" class="d-flex justify-content-end">
    <button class="m-1 btn btn-sm btn-neutral" @click="openModalTambah()">Tambah Soal</button>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div id="app">

    <div class="d-flex justify-content-center" v-if="!isLoaded && !isFailed">
        <div class="col-12 card">
            <div class="card-body text-center">
                <div class="spinner">
                    <div class="rect1 bg-primary"></div>
                    <div class="rect2 bg-primary"></div>
                    <div class="rect3 bg-primary"></div>
                    <div class="rect4 bg-primary"></div>
                    <div class="rect5 bg-primary"></div>
                </div>
                <h4 class="mt-4 text-primary">
                    Sedang memuat data..
                </h4>
            </div>
        </div>
    </div>

    <div class="d-flex justify-content-center" v-if="isFailed">
        <div class="col-12 card">
            <div class="card-body text-center text-warning">
                <i class="mt-4 fas fa-exclamation-triangle fa-5x"></i>
                <h4 class="mt-4 text-warning">
                    Gagal memuat data. Silahkan refresh halaman.
                </h4>
            </div>
        </div>
    </div>

    <div v-if="isLoaded">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="text-primary">List Kontribusi Saya</h3>
                    </div>
                    <div class="card-body">
                        <data-tables ref="dt" :data="formatedSoal" :filters="table.filters">

                            <el-table-column label="Waktu" align="center" min-width="60%" prop="created_at"
                                sortable="true">
                                <template slot-scope="scope">
                                    <div class="d-flex flex-column h2">
                                        <span class="badge badge-pill badge-primary">
                                            <i class="fas fa-calendar-check">
                                            </i>
                                            <span>
                                                {{ new Date(scope . row . created_at).toLocaleDateString('id-ID')}}
                                            </span>
                                        </span>

                                        <span class="mt-1 badge badge-pill badge-primary">
                                            <i class="fas fa-clock">
                                            </i>
                                            <span>
                                                {{ new Date(scope . row . created_at).toLocaleTimeString('id-ID')}}
                                            </span>
                                        </span>
                                    </div>
                                </template>
                            </el-table-column>
                            <el-table-column label="Kelas" min-width="60%" prop="kelas" sortable="true">
                                <template slot-scope="scope">
                                    {{ scope . row . kelas }}
                                </template>
                            </el-table-column>
                            <el-table-column label="Kategori" align="center" min-width="60%" prop="kategori"
                                sortable="true">
                                <template slot-scope="scope">
                                    {{ scope . row . kategori }}
                                </template>
                            </el-table-column>
                            <el-table-column label="Subkategori" min-width="100%" prop="subkategori" sortable="true">
                                <template slot-scope="scope">
                                    {{ scope . row . subkategori }}
                                </template>
                            </el-table-column>
                            <el-table-column label="Soal" min-width="200%" prop="soal" sortable="true">
                                <template slot-scope="scope">
                                    <div v-html="scope . row . soal"></div>
                                </template>
                            </el-table-column>

                            <el-table-column label="Actions" min-width="50%">
                                <template slot-scope="scope">
                                    <el-tooltip class="item" effect="dark" content="Hapus Paket Soal" placement="top">
                                        <button @click="handleDelete(scope.row)" type="button"
                                            class="btn btn-outline-danger btn-sm btn-icon-only m-0">
                                            <span class="btn-inner--icon"><i class="fas fa-trash"></i></span>
                                        </button>
                                    </el-tooltip>

                                    <el-tooltip class="item" effect="dark" content="Edit Paket Soal" placement="top">
                                        <button @click="openModalEdit(scope.row.id)" type="button"
                                            class="btn btn-outline-primary btn-sm btn-icon-only m-0">
                                            <span class="btn-inner--icon"><i class="fas fa-pencil-alt"></i></span>
                                        </button>
                                    </el-tooltip>

                                </template>
                            </el-table-column>

                        </data-tables>
                    </div>

                </div>
            </div>
        </div>


        <div v-if="modal.tambah.show" class="d-none" :class="{'d-block':modal.tambah.show}">
            <div class="modal fade show modal-active" tabindex="-1" role="dialog">
                <div class="modal-dialog scroll modal-lg modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <form @submit.prevent="submitHandle(modal.isEditing, modal.data)">
                            <div v-if="!modal.tambah.isSubmitting" class="modal-header py-2 px-3 align-items-center">
                                <h5 class="modal-title">
                                    <span class="text-primary align-middle">
                                        {{ modal.isEditing?'Edit Soal':'Tambah Soal'}}
                                    </span>
                                </h5>
                                <button type="button" class="close" @click="closeModalTambah">
                                    <i class="fas fa-times-circle text-primary"></i>
                                </button>
                            </div>
                            <div class="modal-body scroll px-3 pt-3 pb-0">
                                <div v-if="modal.tambah.isSubmitting">
                                    <div class="spinner">
                                        <div class="rect1 bg-primary"></div>
                                        <div class="rect2 bg-primary"></div>
                                        <div class="rect3 bg-primary"></div>
                                        <div class="rect4 bg-primary"></div>
                                        <div class="rect5 bg-primary"></div>
                                    </div>
                                    <h3 class="mt-4 mb-5 text-primary text-center">
                                        Sedang menyimpan data..
                                    </h3>
                                </div>

                                <div v-if="!modal.tambah.isSubmitting">
                                    <div class="card">
                                        <div class="py-2 px-4 d-flex justify-content-between align-items-center div-hover card-header bg-secondary"
                                            @click="toogleCollapseModal('kelas')">
                                            <h4 class="text-primary">
                                                Kelas dan Kategori Soal
                                            </h4>
                                            <i class="fas text-primary"
                                                :class="(modal.collapse.kelas)?'fa-minus-circle':'fa-plus-circle'"></i>
                                        </div>

                                        <div class="card-body collapse m-2 p-0" :class="{'show':!modal.collapse.kelas}">

                                            <div class="form-group">
                                                <label for="pilih-kelas">Kelas</label>
                                                <el-select id="pilih-kelas" class="w-100" v-model="modal.data.kelas"
                                                    filterable clearable placeholder="Wajib memilih kelas">
                                                    <el-option v-for="item in kelas" :key="item.id" :label="item.nama"
                                                        :value="item.id">
                                                    </el-option>
                                                </el-select>
                                            </div>

                                            <div class="row">
                                                <div class="col-lg-6 col-sm-12">
                                                    <div class="form-group">
                                                        <label for="pilih-kategori">Kategori</label>
                                                        <el-select @clear="clearKategori" id="pilih-kategori"
                                                            class="w-100" v-model="modal.data.kategori" filterable
                                                            clearable placeholder="Wajib memilih kategori">
                                                            <el-option v-for="item in kategoris" :key="item.kode"
                                                                :label="item.label" :value="item.kode">
                                                            </el-option>
                                                        </el-select>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-sm-12">
                                                    <div class="form-group">
                                                        <label for="pilih-subkategori">Subkategori</label>
                                                        <el-select :disabled="!modal.data.kategori"
                                                            id="pilih-subkategori" class="w-100"
                                                            v-model="modal.data.subkategori" filterable clearable
                                                            placeholder="Wajib memilih subkategori">
                                                            <el-option v-for="item in kategoriSelected" :key="item.id"
                                                                :label="item.nama" :value="item.id">
                                                            </el-option>
                                                        </el-select>
                                                    </div>
                                                </div>

                                            </div>

                                        </div>

                                    </div>

                                    <div class="card">
                                        <div class="py-2 px-4 d-flex justify-content-between align-items-center div-hover card-header bg-secondary"
                                            @click="toogleCollapseModal('pertanyaan')">
                                            <h4 class="text-primary">
                                                Pertanyaan
                                            </h4>
                                            <i class="fas text-primary"
                                                :class="(modal.collapse.pertanyaan)?'fa-minus-circle':'fa-plus-circle'"></i>
                                        </div>

                                        <div class="card-body collapse m-0 p-0" style="height: 22rem"
                                            :class="{'show':!modal.collapse.pertanyaan}">
                                            <quill-editor style="height: 10rem" ref="quill-pertanyaan" class="editor"
                                                v-model.trim="modal.data.pertanyaan" :options="editorOption"
                                                @blur="onEditorBlur($event)" @focus="onEditorFocus($event)"
                                                @ready="onEditorReady($event)" />
                                        </div>

                                    </div>

                                    <div class="card">
                                        <div class="py-2 px-4 d-flex justify-content-between align-items-center div-hover card-header bg-secondary"
                                            v-on:click="toogleCollapseModal('pilihan')">
                                            <h4 class="text-primary">
                                                Pilihan dan Jawaban
                                            </h4>
                                            <i class="fas text-primary"
                                                :class="(modal.collapse.pilihan)?'fa-minus-circle':'fa-plus-circle'"></i>
                                        </div>

                                        <div class="card-body collapse py-3" :class="{'show':!modal.collapse.pilihan}">

                                            <div v-for="(val, name, index) in modal.data.pilihan" :key="index"
                                                class="py-2">
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text">
                                                            {{ name.toUpperCase() }}
                                                        </span>
                                                    </div>
                                                    <textarea v-model.trim="modal.data.pilihan[name]"
                                                        class="form-control" aria-label="With textarea"></textarea>
                                                </div>
                                            </div>

                                            <div class="form-group pt-4 mb-0">
                                                <div class="row">
                                                    <div class="col">
                                                        <label for="jawaban">
                                                            Jawaban
                                                        </label>
                                                        <input type="text" maxlength="5" class="form-control"
                                                            id="jawaban" placeholder="Masukkan jawaban"
                                                            v-model="modal.data.jawaban">
                                                    </div>

                                                </div>
                                                <small class="form-text text-muted">
                                                    <b>(TKP)</b> Masukkan jawaban sesuai poin <b>(54321)</b>. Contoh:
                                                    <b>BCADE</b> berarti B:
                                                    5 poin, C: 4 poin, dst.
                                                    <br>
                                                    <b>(selain TKP)</b> Masukkan jawaban yang benar. Contoh jika jawaban
                                                    A
                                                    benar maka masukkan A.
                                                </small>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="card">
                                        <div class="py-2 px-4 d-flex justify-content-between align-items-center div-hover card-header bg-secondary"
                                            v-on:click="toogleCollapseModal('pembahasan')">
                                            <h4 class="text-primary">
                                                Pembahasan
                                            </h4>
                                            <i class="fas text-primary"
                                                :class="(modal.collapse.pembahasan)?'fa-minus-circle':'fa-plus-circle'"></i>
                                        </div>

                                        <div class="card-body collapse m-0 p-0" style="height: 22rem"
                                            :class="{'show':!modal.collapse.pembahasan}">
                                            <quill-editor style="height: 10rem" ref="quill-pembahasan" class="editor"
                                                v-model.trim="modal.data.pembahasan" :options="editorOption"
                                                @blur="onEditorBlur($event)" @focus="onEditorFocus($event)"
                                                @ready="onEditorReady($event)" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div v-if="!modal.tambah.isSubmitting" class="modal-footer p-3">
                                <button v-if="modal.isEditing" type="button" class="btn btn-secondary"
                                    data-dismiss="modal" @click="closeModalTambah">Batal</button>
                                <button v-if="!modal.isEditing" type="button" class="btn btn-secondary"
                                    data-dismiss="modal" @click="resetModalTambah">Reset</button>
                                <button type="submit" class="btn btn-primary" :disabled="!cekForm">
                                    {{modal.isEditing?'Update':'Tambah'}}
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <confirm-delete v-if="modal.hapus.show" :show-modal="modal.hapus.show" :is-deleting="modal.hapus.isDeleting"
            @onclose="modal.hapus.show=false" @onconfirm="deleteSoal(modal.hapus.id)">
        </confirm-delete>
    </div>
</div>



<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/js/element-ui/index.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/element-ui/locales/en.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/element-ui/data-tables.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/vue-toast-notification.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/vue-paginate.js')); ?>"></script>

<script src='https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS-MML_HTMLorMML'></script>

<script src="https://cdn.quilljs.com/1.3.4/quill.js"></script>
<!-- Quill JS Vue -->
<script src="https://cdn.jsdelivr.net/npm/vue-quill-editor@3.0.6/dist/vue-quill-editor.js"></script>

<script src="<?php echo e(asset('assets/js/vue/confirm-delete.js')); ?>"></script>



<script type="text/javascript">
    Vue.use(window.VueQuillEditor)
    var Image = Quill.import('formats/image');
    Image.className = 'img-fluid';
    Quill.register(Image, true);

    var Block = Quill.import('blots/block');
    Block.tagName = 'DIV';
    Quill.register(Block, true);
</script>


<script type="text/x-mathjax-config">
    MathJax.Hub.Config({
        showMathMenu: false,
    messageStyle: "none",
    tex2jax: {inlineMath: [['$$','$$'], ['\\(','\\)']]},
    "HTML-CSS": { styles: {
    ".MathJax_Display": {
      "display":"inline","width":"auto"
    }
  }}
  });
</script>
<script>
    ELEMENT.locale(ELEMENT.lang.en)
    Vue.use(DataTables.DataTables)

    Vue.use(VueToast);
    Vue.component('paginate', VuejsPaginate)

    const base_url = "<?php echo e(url('/api')); ?>"
    const kontribusi = base_url + "/kontribusi"

    var app = new Vue({
        el: '#panel',
        data: {
            editorOption: {
                theme: 'snow'
            },
            control: {
                pembahasanIsCollapsed: false,
                soalIsCollapsed: false
            },
            table: {
                itemSize: 0,
                filters: [{
                    prop: ['soal', 'created_at', 'kategori', 'kelas', 'subkategori'],
                    value: '',
                    focus: false
                }],
                pagination: {
                    pageSizes: [10, 30, 50],
                    current: 1,
                    perPage: 10
                }
            },
            modal: {
                hapus: {
                    show: false,
                    isDeleting: false,
                    id: null
                },
                isEditing: false,
                tambah: {
                    show: false,
                    isSubmitting: false
                },
                data: {
                    kelas: null,
                    kategori: null,
                    subkategori: null,
                    pertanyaan: '',
                    pilihan: {
                        a: '',
                        b: '',
                        c: '',
                        d: '',
                        e: ''
                    },
                    jawaban: '',
                    pembahasan: ''
                },
                update: null,
                collapse: {
                    pertanyaan: false,
                    pembahasan: false,
                    pilihan: false,
                    kelas: false,
                }
            },
            currentIndex: 0,
            isFailed: false,
            isLoaded: false,
            kategoris: [{
                    label: "Test Intelegensia Umum",
                    kode: "tiu"
                },
                {
                    label: "Test Karakteristik Pribadi",
                    kode: "tkp"
                },
                {
                    label: "Test Wawasan Kebangsaan",
                    kode: "twk"
                },
                {
                    label: "SKB Bidan",
                    kode: "skb-bidan"
                }
            ],
            kelas: null,
            soals: [],
            subkategoris: null,
        },
        methods: {

            clearKategori() {
                this.modal.data.subkategori = null
            },
            createDynamicMarkup: function(event) {
                this.$nextTick(function() {
                    MathJax.Hub.Queue(["Typeset", MathJax.Hub]);
                });
            },
            getKategori(kategori) {
                // let kategori = this.review.paket.soal[this.currentIndex].kategori
                if (kategori === 'tiu') {
                    return "Tes Intelegensi Umum (TIU)"
                }

                if (kategori === 'tkp') {
                    return "Tes Karakteristik Pribadi (TKP)"
                }

                if (kategori === 'twk') {
                    return "Tes Wawasan Kebangsaan (TWK)"
                }
                
                 if (kategori === 'skb-bidan') {
                    return "SKB BIDAN"
                }
            },
            showToast(msg, type) {
                Vue.$toast.open({
                    message: msg,
                    type: type
                });
            },
            openModalTambah() {
                this.modal.tambah.show = true
            },
            openModalEdit(id) {
                this.getSoal(id);

                // let modal = this.modal.data
                // let soal = this.paket.soal[index]
                // let pil = this.paket.soal[index].pilihan

                // modal.id = soal.id
                // modal.pertanyaan = soal.pertanyaan
                // modal.jawaban = soal.jawaban
                // modal.pembahasan = soal.pembahasan
                // modal.kategori = soal.kategori
                // modal.pilihan = {
                //     a: pil.a.text,
                //     b: pil.b.text,
                //     c: pil.c.text,
                //     d: pil.d.text,
                //     e: pil.e.text
                // }

                this.modal.tambah.show = true
                this.modal.isEditing = true
            },
            resetModalTambah() {
                let modal = this.modal.data
                modal.kelas = null
                modal.kategori = null
                modal.subkategori = null
                modal.pertanyaan = ''
                modal.pembahasan = ''
                modal.jawaban = ''
                modal.pilihan = {
                    a: '',
                    b: '',
                    c: '',
                    d: '',
                    e: ''
                }
                this.modal.isSubmitting = false
                this.modal.isEditing = false
            },
            closeModalTambah() {
                this.resetModalTambah()
                this.modal.tambah.show = false

            },
            submitHandle(isEditing, data) {
                if (isEditing) {
                    this.submitUpdateSoal(data)
                } else {
                    this.submitTambahSoal(data)
                }
            },
            handleDelete(row) {
                this.modal.hapus.show = true
                this.modal.hapus.id = row.id
            },
            groupBy(xs, key) {
                return xs.reduce(function(rv, x) {
                    (rv[x[key]] = rv[x[key]] || []).push(x);
                    return rv;
                }, {});
            },
            async submitTambahSoal(data) {
                this.modal.tambah.isSubmitting = true
                await axios
                    .post(kontribusi + "/soal", {
                        kelas_id: data.kelas,
                        kategori: data.kategori,
                        subkategori_id: data.subkategori,
                        pertanyaan: data.pertanyaan,
                        pil_a: data.pilihan.a,
                        pil_b: data.pilihan.b,
                        pil_c: data.pilihan.c,
                        pil_d: data.pilihan.d,
                        pil_e: data.pilihan.e,
                        pembahasan: data.pembahasan,
                        jawaban: data.jawaban,
                    })
                    .then(
                        (response) => {
                            this.soals.unshift(response.data.data)
                            this.resetModalTambah()
                            this.modal.tambah.isSubmitting = false

                            this.showToast("Berhasil menambah soal", "info");
                        }, (error) => {
                            this.showToast("Gagal menambah soal", "error");
                            this.modal.tambah.isSubmitting = false


                        }
                    )
            },
            async submitUpdateSoal(data) {
                this.modal.isSubmitting = true
                const id = this.modal.update.id
                const index = this.soals.findIndex((e) => e.id === id)
                await axios
                    .put(kontribusi + "/soal/" + id, {
                        id: id,
                        kelas_id: data.kelas,
                        kategori: data.kategori,
                        subkategori_id: data.subkategori,
                        pertanyaan: data.pertanyaan,
                        pil_a: data.pilihan.a,
                        pil_b: data.pilihan.b,
                        pil_c: data.pilihan.c,
                        pil_d: data.pilihan.d,
                        pil_e: data.pilihan.e,
                        pembahasan: data.pembahasan,
                        jawaban: data.jawaban,
                    })
                    .then(
                        (response) => {
                            Vue.set(this.soals, index, response.data.data)

                            this.resetModalTambah()
                            this.modal.isSubmitting = false
                            this.modal.tambah.show = false
                            this.createDynamicMarkup()
                            this.showToast("Berhasil update soal", "info");
                        }, (error) => {
                            this.showToast("Gagal update soal", "error");

                        }
                    )
            },

            async getSubkategori() {
                await axios
                    .get(kontribusi + "/subkategori")
                    .then((response) => {
                        this.subkategoris = this.groupBy(response.data.data, "kategori")
                    }, (error) => {
                        // this.isFailed = true
                    })
            },
            async getKelas() {
                await axios
                    .get(base_url + "/kelas-saya")
                    .then((response) => {
                        this.kelas = response.data.data
                    }, (error) => {
                        // this.isFailed = true
                    })
            },
            async getSoal(id) {
                await axios
                    .get(kontribusi + "/soal/" + id)
                    .then((response) => {
                        const {
                            data
                        } = response.data

                        this.modal.update = data

                        this.modal.data = {
                            kelas: data.kelas.id,
                            kategori: data.kategori,
                            subkategori: data.subkategori.id,
                            pertanyaan: data.pertanyaan,
                            pilihan: {
                                a: data.pilihan.a.text,
                                b: data.pilihan.b.text,
                                c: data.pilihan.c.text,
                                d: data.pilihan.d.text,
                                e: data.pilihan.e.text
                            },
                            jawaban: data.jawaban,
                            pembahasan: data.pembahasan
                        }
                    }, (error) => {
                        // this.isFailed = true
                    })
            },
            async deleteSoal(id) {
                this.modal.hapus.isDeleting = true
                const index = this.soals.findIndex((e) => e.id === id)
                await axios
                    .delete(`${kontribusi}/soal/${id}`)
                    .then((response) => {
                        this.soals.splice(index, 1)
                        this.modal.hapus.isDeleting = false
                        this.showToast("Berhasil hapus soal", "info");

                        this.modal.hapus.show = false
                        this.modal.hapus.id = null
                    }, (error) => {
                        this.modal.hapus.isDeleting = false
                        this.showToast("Gagal hapus soal", "error");
                        this.showToast(error, "error");

                        this.modal.hapus.show = false
                        this.modal.hapus.id = null
                    })
            },
            async initialLoad() {
                await axios
                    .get(kontribusi + "/soal")
                    .then((response) => {
                        this.soals = response.data.data
                        this.isLoaded = true

                    }, (error) => {
                        this.isLoaded = false
                        this.isFailed = true
                    })
            },
            tooglePembahasan: function() {
                this.control.pembahasanIsCollapsed = !this.control.pembahasanIsCollapsed
            },
            toogleSoal: function() {
                this.control.soalIsCollapsed = !this.control.soalIsCollapsed
            },
            toogleCollapseModal(name) {
                this.modal.collapse[name] = !this.modal.collapse[name]
            },
            cekJawaban: function(index, pilihan) {
                const isCorrect = this.paket.soal[index].pilihan[pilihan.toLowerCase()].poin === 5

                return {
                    row: {
                        'table-primary': isCorrect
                    },
                    icon: {
                        'fas fa-check text-primary': isCorrect
                    }
                }
            },
            onEditorBlur(quill) {

            },
            onEditorFocus(quill) {

            },
            onEditorReady(quill) {

            },
            onEditorChange({
                quill,
                html,
                text
            }) {
                // console.log('editor change!', quill, html, text)
                this.content = html
            }
        },
        computed: {
            kategoriSelected() {
                if (this.modal.data.kategori) {
                    return this.subkategoris[this.modal.data.kategori]
                }

                return []
            },
            formatedSoal() {
                const soals = this.soals
                return soals.map((e) => {
                    return {
                        id: e.id,
                        soal: e.pertanyaan,
                        kategori: e.kategori.toUpperCase(),
                        subkategori: e.subkategori.nama,
                        kelas: e.kelas.nama.toUpperCase(),
                        created_at: e.created_at * 1000
                    }
                })
            },
            editor() {
                return this.$refs.quill - pertanyaan.quill
            },
            cekForm() {
                const modal = this.modal.data
                const kelas = (modal.kelas != null && modal.kelas != '') ? true : false
                const kategori = (modal.kategori != null && modal.kategori != '') ? true : false
                const subkategori = (modal.subkategori != null && modal.subkategori != '') ? true : false
                const pertanyaan = (modal.pertanyaan != null && modal.pertanyaan != '') ? true : false
                const jawaban = (modal.jawaban != null && modal.jawaban != '') ? true : false

                return kelas && kategori && subkategori && pertanyaan && jawaban
            }
        },


        created: function() {
            this.getKelas()
            this.getSubkategori()
            this.initialLoad()
            this.createDynamicMarkup()
        },
        updated() {

        },

    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.components.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dosp7473/public_html/cpns/dashboard/resources/views/dashboard/kontribusi/soal/user.blade.php ENDPATH**/ ?>