<?php $__env->startSection('title'); ?>
Dashboard - Pembayaran
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/css/theme-sugar.css')); ?>" type="text/css">
<link rel="stylesheet" href="<?php echo e(asset('assets/vendor/vue-select/vue-select.css')); ?>" type="text/css">

<?php $__env->stopSection(); ?>

<?php $__env->startSection('page-title'); ?>
<h6 class="h2 text-white d-inline-block mb-0">Proses Pembayaran</h6>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
<li class="breadcrumb-item text-white">

    <i class="fas fa-users"></i>

</li>
<li class="breadcrumb-item text-white">Kelas Berbayar</li>
<li class="breadcrumb-item text-white">Pembayaran</li>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('action-bar'); ?>
<div v-if="isLoaded && !isFailed" class="d-none" :class="{'d-block':isLoaded && !isFailed}">


    

    <!-- <a href="#" class="m-1 btn btn-sm btn-neutral" @click="sort.show=true">Urutkan</a> -->
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="mb-4">
    <div class="d-flex justify-content-center" v-if="!isLoaded && !isFailed" :class="{'d-none' : isLoaded && !isFailed}">
        <div class="col-12 card">
            <div class="card-body text-center">
                <div class="spinner">
                    <div class="rect1 bg-primary"></div>
                    <div class="rect2 bg-primary"></div>
                    <div class="rect3 bg-primary"></div>
                    <div class="rect4 bg-primary"></div>
                    <div class="rect5 bg-primary"></div>
                </div>
                <h4 class="mt-4 text-primary">
                    Sedang memuat data..
                </h4>
            </div>
        </div>
    </div>

    <div class="d-flex justify-content-center d-none" :class="{'d-block':isFailed}" v-if="isFailed">
        <div class="col-12 card">
            <div class="card-body text-center text-warning">
                <i class="mt-4 fas fa-exclamation-triangle fa-5x"></i>
                <h4 class="mt-4 text-warning">
                    Gagal memuat data. Silahkan refresh halaman.
                </h4>
            </div>
        </div>
    </div>

    <div class="d-flex justify-content-center d-none" :class="{'d-block':isForbidden}" v-if="isForbidden">
        <div class="col-12 card">
            <div class="card-body text-center text-warning">
                <i class="mt-4 fas fa-exclamation-triangle fa-5x"></i>
                <h3 class="mt-4 text-warning">
                    {{forbiddenText}}
                </h3>

                <a href="/" class="btn btn-outline-primary">
                    Kembali ke halaman utama
                </a>
            </div>
        </div>
    </div>

    <div v-if="isLoaded && !isForbidden" class="d-none" :class="{'d-block':isLoaded && !isForbidden}">
        <div class="card d-lg-none">
            <div class="card-body text-center pb-2">
                Scroll ke bawah untuk memilih
                <a href="#metode-pembayaran">metode pembayaran</a>
                <div class="mt-2">
                    <a href="#metode-pembayaran">
                        <i class="fas fa-chevron-down text-primary"></i>
                    </a>
                </div>
            </div>
        </div>

        <div class="row">
            <div ref="detailPembayaran" class="col-lg-4 col-md-12 col-sm-12 order-lg-2 order-md-1 order-sm-1">
                <div class="card">
                    <div class="card-header">
                        Detail Pembayaran
                    </div>
                    <div class="card-body">
                        <div class="d-flex justify-content-center"> <span class="h3 text-center text-primary">{{kelas_berbayar.nama.toUpperCase()}}</span>
                        </div>

                        <div v-if="pembayaran.name!=null" class="d-none" :class="{'d-block':pembayaran.name!=null}">
                            <hr>
                            <div class="d-flex justify-content-between"> <span class="fw-500">Pembayaran</span> <span>{{pembayaran.name}}</span> </div>
                        </div>

                        <hr>
                        <div class="d-flex justify-content-between"> <span class="fw-500">Harga</span>
                            <span>Rp {{kelas_berbayar.harga.toLocaleString()}},-</span>
                        </div>

                        <hr>
                        <div class="d-flex justify-content-between"> <span class="lh-16 fw-500">Biaya Admin</span>
                            <span>Rp {{pembayaran.total_fee?pembayaran.total_fee.customer.toLocaleString():0}},-</span>
                        </div>

                        <hr>
                        <div class="d-flex justify-content-between"> <span class="fw-500 h3">Total Bayar</span> <span class="text-primary h3">Rp {{totalBayar().toLocaleString()}},-</span> </div>


                    </div>

                    <div class="card-footer">
                        <button :disabled="(!pembayaran.code) || (loadingFee)" class="btn btn-block btn-outline-primary" @click="bayar()">
                            Bayar Sekarang
                        </button>

                        <span class="text-small h6 text-muted">Silahkan pilih metode pembayaran yang tersedia untuk
                            melanjutkan proses pembayaran.</span>
                    </div>
                </div>
            </div>

            <div id="metode-pembayaran" class="col-lg-8 col-md-12 col-sm-12 order-lg-1 order-md-2 order-sm-2">
                <div class="card ">
                    <div class="card-header">
                        Metode Pembayaran
                    </div>
                    <div class="card-body">
                        <div v-for="(e, i) in channels" :key="i">
                            <h3 class="text-primary">{{i}}</h3>
                            <div class="row">
                                <div class="col-lg-4 col-md-4 col-sm-6 col-xs-6" v-for="(a, b) in e" :key="b" @click="setMethodCode(a.code)" style="cursor: pointer;">
                                    <div class="card" style="max-height: 15rem; min-height: 15rem;" :class="{'border border-primary':a.code==transaksi.payment_method}">
                                        <div class="card-body d-flex flex-wrap justify-content-center  align-items-center">
                                            <img :src="a.logo" class="img-fluid" alt="Responsive image">
                                        </div>
                                        <div class="card-footer" :class="{'bg-primary':a.code==transaksi.payment_method}">
                                            <span class="h5" :class="{'text-white':a.code==transaksi.payment_method}">
                                                {{a.name}}
                                                <span class="h6" v-if="a.code === 'QRIS'" :class="{'text-white':a.code==transaksi.payment_method}">
                                                    ({{a.note}})
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>

                    </div>
                </div>
            </div>



        </div>

    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

<script src="<?php echo e(asset('assets/js/vue-toast-notification.js')); ?>"></script>

<script>
    const kelas_url = "<?php echo e(url('/api/kelas-berbayar')); ?>"
    const channels_url = "<?php echo e(url('/api/tripay/channels')); ?>"
    const payment_url = kelas_url + '/pembayaran'
    const id_kelas = "<?php echo e(Request::segment(3)); ?>"

    Vue.use(VueToast);


    var app = new Vue({
        el: '#panel',
        data: {
            transaksi: {
                payment_method: ''
            },
            loadingFee: false,
            isFailed: false,
            isForbidden: false,
            forbiddenText: "",
            isLoaded: false,
            kelas_berbayar: {},
            pembayaran: {},
            channels: {},

        },
        methods: {
            totalBayar() {
                const harga = this.kelas_berbayar.harga
                let fee = this.pembayaran.total_fee ? this.pembayaran.total_fee.customer : 0
                return harga + fee
            },
            setMethodCode(code) {
                Vue.set(this.transaksi, 'payment_method', code)
                this.cekFee(code)

                var element = this.$refs["detailPembayaran"];
                var top = element.offsetTop-50;

                window.scrollTo(0, top);
            },
            async cekFee(code) {
                this.isLoaded = false
                this.loadingFee = true
                await axios
                    .get(payment_url + '/' + id_kelas, {
                        params: {
                            code: code
                        }
                    })
                    .then((response) => {
                        Vue.set(this, 'pembayaran', response.data.data.data[0])
                        this.loadingFee = false
                        this.isLoaded = true

                    }, (error) => {
                        this.isLoaded = false
                        this.isFailed = true
                    })
            },
            listChannels() {
                axios
                    .get(channels_url)
                    .then((response) => {
                        Vue.set(this, 'channels', response.data.data)
                    }, (error) => {
                        this.isFailed = true
                    })
            },
            async bayar() {
                this.isLoaded = false
                await axios
                    .post(payment_url + '/' + id_kelas, {
                        payment_method: this.transaksi.payment_method
                    })
                    .then((response) => {
                        // Vue.set(this, 'kelas_berbayar', response.data.data)

                        if (response.data.data.success) {
                            window.location.href = "<?php echo e(url('/invoice/kelas-berbayar')); ?>/" + response.data.data.data.reference
                        }

                        // this.isLoaded = true

                    }, (error) => {
                        if (error.response.status === 403) {
                            this.isLoaded = true
                            this.isFailed = false
                            this.isForbidden = true
                            Vue.set(this, 'forbiddenText', error.response.data.message)

                            return
                        }
                        this.isLoaded = false
                        this.isFailed = true
                    })
            },
            async initialLoad() {
                this.isLoaded = false

                this.listChannels()

                await axios
                    .get(kelas_url + '/' + id_kelas)
                    .then((response) => {
                        Vue.set(this, 'kelas_berbayar', response.data.data)
                        this.isLoaded = true

                    }, (error) => {
                        this.isLoaded = false
                        this.isFailed = true
                    })
            },

        },

        created() {

            this.initialLoad()

        }
    })
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('dashboard.components.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dosp7473/public_html/cpns/dashboard/resources/views/dashboard/kelas-berbayar/user/pembayaran/index.blade.php ENDPATH**/ ?>